GNU bug report logs - #42099
Emacs -nw Turkish Layout Problem

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Yigit Emre Sahinoglu <yigitemres@HIDDEN>; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug closed, send any further explanations to 42099 <at> debbugs.gnu.org and Yigit Emre Sahinoglu <yigitemres@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 42099 <at> debbugs.gnu.org:


Received: (at 42099) by debbugs.gnu.org; 30 Apr 2022 16:26:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 30 12:26:36 2022
Received: from localhost ([127.0.0.1]:58943 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nkpvY-0004oj-J9
	for submit <at> debbugs.gnu.org; Sat, 30 Apr 2022 12:26:36 -0400
Received: from quimby.gnus.org ([95.216.78.240]:49872)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nkpvW-0004oQ-TI
 for 42099 <at> debbugs.gnu.org; Sat, 30 Apr 2022 12:26:35 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=ej0FPq5JBqVKcILQzNog6Ab6C6kxg7fbJcB8uYwWv5Y=; b=If1hx28nCpcnjf3gT3pEpl9kXk
 ylqmVC1zybS2qUFid1A1CYfap2fIZB7TQrG1Uo2tTNpUmjMMkUGUug0a5RVfybukeK5DF2OU0z6Pw
 kTlOPS9yRSMtuyDnbHHeqTpXiUwzGsNFiBfPpoosG1id9LqvhJ2otLw+lSkykNp9CFOk=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nkpvO-0001bd-GP; Sat, 30 Apr 2022 18:26:28 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Yigit Emre Sahinoglu <yigitemres@HIDDEN>
Subject: Re: bug#42099: Emacs -nw Turkish Layout Problem
References: <CAKDmE5Gddt6va=jPgW313yTHrSS7NcKd51NdT-Vre3Lu4FRY9A@HIDDEN>
 <83h7uv2ryp.fsf@HIDDEN>
 <CAKDmE5FJM49FgEtPhRhpNHxR1S=8gDjUeSawzucpdUdQDkVHxQ@HIDDEN>
 <835zbb2kgz.fsf@HIDDEN>
 <CAKDmE5Hx4cH=1HZx+wJ=vD0QY_VD0+fTxwGiT2w08JOQgHDAbg@HIDDEN>
 <83y2o711zf.fsf@HIDDEN>
 <54ddc85e-fca4-e585-e893-29d31c074a90@HIDDEN>
 <83wo3r0zyh.fsf@HIDDEN>
 <CAKDmE5E6+BBMC3e_kSEKYDSOvSiCsb4CK0beaU7mraQjKUS87Q@HIDDEN>
 <83sgee0xu8.fsf@HIDDEN>
 <cef1fb0e-cf57-ba78-9b36-ed57ddb1c848@HIDDEN>
 <83h7ut27lr.fsf@HIDDEN>
 <CAKDmE5Eqs7khvqQB8Y93BKHm7sEDQJBNBQknA2mh1M7tFzYqCQ@HIDDEN>
 <CAKDmE5EBA=Q=OY57-SmaRV9S1y6kn-_CXapcBoBHNFAc=H6-0w@HIDDEN>
 <83eepwzfko.fsf@HIDDEN>
 <CAKDmE5HMV6eS9YMh7ukVcwuoDwMzuNPN66ZPLoNbVyXeu_2yzA@HIDDEN>
 <87h77qj8ut.fsf@HIDDEN>
X-Now-Playing: Talking Heads's _The Name Of This Band Is Talking Heads_:
 "track"
Date: Sat, 30 Apr 2022 18:26:26 +0200
In-Reply-To: <87h77qj8ut.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 22 Mar 2022 16:38:18 +0100")
Message-ID: <87wnf6y1u5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Lars Ingebrigtsen <larsi@HIDDEN> writes: > Did you make
 any further progress here, by any chance? More information was requested,
 but no response was given within a month, so it seems unlikely that there'll
 be further progress here, and I'm closing this bug report. If progress can
 be made, please [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 42099
Cc: Eli Zaretskii <eliz@HIDDEN>, 42099 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Did you make any further progress here, by any chance?

More information was requested, but no response was given within a
month, so it seems unlikely that there'll be further progress here, and
I'm closing this bug report.  If progress can be made, please respond to
this email and we'll reopen the bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42099; Package emacs. Full text available.

Message received at 42099 <at> debbugs.gnu.org:


Received: (at 42099) by debbugs.gnu.org; 22 Mar 2022 15:38:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 22 11:38:29 2022
Received: from localhost ([127.0.0.1]:41675 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nWgaa-0000n4-QU
	for submit <at> debbugs.gnu.org; Tue, 22 Mar 2022 11:38:28 -0400
Received: from quimby.gnus.org ([95.216.78.240]:35588)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nWgaZ-0000mr-Eh
 for 42099 <at> debbugs.gnu.org; Tue, 22 Mar 2022 11:38:27 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=F7e3QojXYQEZ9EsvgVFEp+8a8CikcCiVZKYgTP9hxS8=; b=bgOchGFUXVD7PE7gyomO/+zjvt
 s2ItzYV6mcZxqq4LEHuL3y94bNKgj9bNfKtqIoJVZ+s+4qB6T66CnUy6JPMlqH2iYbGXa5PK39XX/
 mapM4L1yjOcjMwcmezuQLQa0yLwbykzOR5jerVfns1CuBVovFI5a9IGgDd4dkNcxrnMc=;
Received: from 109.179.236.69.tmi.telenormobil.no ([109.179.236.69] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nWgaR-0007Tm-P7; Tue, 22 Mar 2022 16:38:21 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Yigit Emre Sahinoglu <yigitemres@HIDDEN>
Subject: Re: bug#42099: Emacs -nw Turkish Layout Problem
References: <CAKDmE5Gddt6va=jPgW313yTHrSS7NcKd51NdT-Vre3Lu4FRY9A@HIDDEN>
 <83h7uv2ryp.fsf@HIDDEN>
 <CAKDmE5FJM49FgEtPhRhpNHxR1S=8gDjUeSawzucpdUdQDkVHxQ@HIDDEN>
 <835zbb2kgz.fsf@HIDDEN>
 <CAKDmE5Hx4cH=1HZx+wJ=vD0QY_VD0+fTxwGiT2w08JOQgHDAbg@HIDDEN>
 <83y2o711zf.fsf@HIDDEN>
 <54ddc85e-fca4-e585-e893-29d31c074a90@HIDDEN>
 <83wo3r0zyh.fsf@HIDDEN>
 <CAKDmE5E6+BBMC3e_kSEKYDSOvSiCsb4CK0beaU7mraQjKUS87Q@HIDDEN>
 <83sgee0xu8.fsf@HIDDEN>
 <cef1fb0e-cf57-ba78-9b36-ed57ddb1c848@HIDDEN>
 <83h7ut27lr.fsf@HIDDEN>
 <CAKDmE5Eqs7khvqQB8Y93BKHm7sEDQJBNBQknA2mh1M7tFzYqCQ@HIDDEN>
 <CAKDmE5EBA=Q=OY57-SmaRV9S1y6kn-_CXapcBoBHNFAc=H6-0w@HIDDEN>
 <83eepwzfko.fsf@HIDDEN>
 <CAKDmE5HMV6eS9YMh7ukVcwuoDwMzuNPN66ZPLoNbVyXeu_2yzA@HIDDEN>
Date: Tue, 22 Mar 2022 16:38:18 +0100
In-Reply-To: <CAKDmE5HMV6eS9YMh7ukVcwuoDwMzuNPN66ZPLoNbVyXeu_2yzA@HIDDEN>
 (Yigit Emre Sahinoglu's message of "Tue, 30 Jun 2020 19:35:50 +0300")
Message-ID: <87h77qj8ut.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Yigit Emre Sahinoglu <yigitemres@HIDDEN> writes: > "Ah,
 shit here we go again..." CJ > > I think that I'm very bad while using
 debuggers.
 I'm gonna try it in order to send any > info I can provide. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 0.0 TVD_RCVD_IP            Message was received from an IP address
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 42099
Cc: Eli Zaretskii <eliz@HIDDEN>, 42099 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Yigit Emre Sahinoglu <yigitemres@HIDDEN> writes:

> "Ah, shit here we go again..." CJ
>
> I think that I'm very bad while using debuggers. I'm gonna try it in order to send any
> info I can provide.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

Did you make any further progress here, by any chance?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42099; Package emacs. Full text available.

Message received at 42099 <at> debbugs.gnu.org:


Received: (at 42099) by debbugs.gnu.org; 30 Jun 2020 16:36:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 30 12:36:12 2020
Received: from localhost ([127.0.0.1]:51555 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jqJEx-0008HG-Sa
	for submit <at> debbugs.gnu.org; Tue, 30 Jun 2020 12:36:12 -0400
Received: from mail-wm1-f52.google.com ([209.85.128.52]:53542)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <yigitemres@HIDDEN>) id 1jqJEu-0008H1-0b
 for 42099 <at> debbugs.gnu.org; Tue, 30 Jun 2020 12:36:10 -0400
Received: by mail-wm1-f52.google.com with SMTP id j18so19429669wmi.3
 for <42099 <at> debbugs.gnu.org>; Tue, 30 Jun 2020 09:36:07 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=2Qs/MGedPNaQEAUIDWrw4GTWWi32HEeaaO9TE/9bJ+0=;
 b=cxErz5zBEl84tzb4sSBXRWct5JEyTbj0wHp0kj6kbE/r1VrQzgwxxyVmCPFw/IyQ5Z
 /Bq5DEvxQANz6Go9hro69rleEk3zJpCkwfR4Dq8OLokGKMwn2J8ws1g8/qMSFpkmxWhQ
 2BsNRK2iI05p9X1wsyy0iJ2RzmUgEuwOKCRH4BiuDpiZmq1pGAnL3L52btAKRr9JvlqZ
 GW51NkwdfO9Mpm1Th9ZQX4q8jaZvWIA7W2N+unnuO/H9XyjLflQ8dk5BRUSn7PUDFtWD
 wpRCzJ7rdEKdCDeHIuDdClQZI6O1TQyXOjonq5do1IKTYD8RMozjTVwQC2gvyRdy4zGN
 NbUA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=2Qs/MGedPNaQEAUIDWrw4GTWWi32HEeaaO9TE/9bJ+0=;
 b=eM1ASpzlY9DV4noeNn5MBCKgSuTdsMVdu6AUUqKR/5gwiyNXxAWKyY5zWNJ9AvDoeF
 /FlTjoxaO8/7en4iddN5axFr2jpbC/uafdGoRfURgcNESpgj+I0LDckanBCqQDpT42iv
 BdPur2tIkmdegEF93WI5WgRb2a16gnAuF29Nj1yKOgS3TBI7SqpjIeI2k3ZmWxsV/KUw
 /mEyekD6tQacSmi61AC1YDLBwJPt7/k6hoA8XfabRk7QMRJuySOXEoQ+2mpzZ4IbkuHF
 ICHts+1++lFNnUh5+45UWXP3njQdbULj2VpSLXXlejsJnjQpc3Nt47pZP7OsU2BifJxG
 8/0g==
X-Gm-Message-State: AOAM532OcyUEsyKBnQAGoO0hfuAUAFWkI3he4c5n+ULFBxCvpazyA9JT
 HG3GJsckgNKfawm0Incdo5WYgqztgOM+v+iWyzU=
X-Google-Smtp-Source: ABdhPJwnU0FhK1SLlODvazc/tMOhiACdvQiiOXLseLXWWoTGEPmiUeSzIodGlFbuAcuxJkHmApZ5gpB/lnaO7+QNCL4=
X-Received: by 2002:a1c:3c83:: with SMTP id j125mr22079104wma.65.1593534961930; 
 Tue, 30 Jun 2020 09:36:01 -0700 (PDT)
MIME-Version: 1.0
References: <CAKDmE5Gddt6va=jPgW313yTHrSS7NcKd51NdT-Vre3Lu4FRY9A@HIDDEN>
 <83h7uv2ryp.fsf@HIDDEN>
 <CAKDmE5FJM49FgEtPhRhpNHxR1S=8gDjUeSawzucpdUdQDkVHxQ@HIDDEN>
 <835zbb2kgz.fsf@HIDDEN>
 <CAKDmE5Hx4cH=1HZx+wJ=vD0QY_VD0+fTxwGiT2w08JOQgHDAbg@HIDDEN>
 <83y2o711zf.fsf@HIDDEN> <54ddc85e-fca4-e585-e893-29d31c074a90@HIDDEN>
 <83wo3r0zyh.fsf@HIDDEN>
 <CAKDmE5E6+BBMC3e_kSEKYDSOvSiCsb4CK0beaU7mraQjKUS87Q@HIDDEN>
 <83sgee0xu8.fsf@HIDDEN> <cef1fb0e-cf57-ba78-9b36-ed57ddb1c848@HIDDEN>
 <83h7ut27lr.fsf@HIDDEN>
 <CAKDmE5Eqs7khvqQB8Y93BKHm7sEDQJBNBQknA2mh1M7tFzYqCQ@HIDDEN>
 <CAKDmE5EBA=Q=OY57-SmaRV9S1y6kn-_CXapcBoBHNFAc=H6-0w@HIDDEN>
 <83eepwzfko.fsf@HIDDEN>
In-Reply-To: <83eepwzfko.fsf@HIDDEN>
From: Yigit Emre Sahinoglu <yigitemres@HIDDEN>
Date: Tue, 30 Jun 2020 19:35:50 +0300
Message-ID: <CAKDmE5HMV6eS9YMh7ukVcwuoDwMzuNPN66ZPLoNbVyXeu_2yzA@HIDDEN>
Subject: Re: bug#42099: Emacs -nw Turkish Layout Problem
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary="00000000000057d79805a94fc59b"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42099
Cc: 42099 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--00000000000057d79805a94fc59b
Content-Type: text/plain; charset="UTF-8"

"Ah, shit here we go again..." CJ

I think that I'm very bad while using debuggers. I'm gonna try it in order
to send any info I can provide.

On Tue, Jun 30, 2020 at 7:25 PM Eli Zaretskii <eliz@HIDDEN> wrote:

> > From: Yigit Emre Sahinoglu <yigitemres@HIDDEN>
> > Date: Mon, 29 Jun 2020 20:09:57 +0300
> > Cc: 42099 <at> debbugs.gnu.org
> >
> > I forgot to say this, when I enter `chcp 857` and then enter emacs, the
> problem still exists even though the
> > system returns chcp 857.
>
> Thanks.
>
> I think the next step is for someone to run Emacs under GDB and see
> what kind of character codes Windows feeds us on the Turkish Windows
> systems.  The relevant function is key_event in w32inevt.c.  I guess
> there's some basic misunderstanding of what happens there on these
> Windows systems.
>

--00000000000057d79805a94fc59b
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div class=3D"gmail_default" style=3D"font-family:arial,he=
lvetica,sans-serif"><font face=3D"trebuchet ms, sans-serif"><br></font></di=
v><div class=3D"gmail_default" style=3D"font-family:arial,helvetica,sans-se=
rif"><font face=3D"trebuchet ms, sans-serif">&quot;Ah, shit here we go agai=
n...&quot; CJ</font></div><div class=3D"gmail_default" style=3D"font-family=
:arial,helvetica,sans-serif"><font face=3D"trebuchet ms, sans-serif"><br></=
font></div><div class=3D"gmail_default" style=3D"font-family:arial,helvetic=
a,sans-serif"><font face=3D"trebuchet ms, sans-serif">I think that I&#39;m =
very bad while using debuggers. I&#39;m gonna try it in order to send any i=
nfo I can provide.<br></font></div></div><br><div class=3D"gmail_quote"><di=
v dir=3D"ltr" class=3D"gmail_attr">On Tue, Jun 30, 2020 at 7:25 PM Eli Zare=
tskii &lt;<a href=3D"mailto:eliz@HIDDEN">eliz@HIDDEN</a>&gt; wrote:<br></=
div><blockquote class=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;bor=
der-left:1px solid rgb(204,204,204);padding-left:1ex">&gt; From: Yigit Emre=
 Sahinoglu &lt;<a href=3D"mailto:yigitemres@HIDDEN" target=3D"_blank">yi=
gitemres@HIDDEN</a>&gt;<br>
&gt; Date: Mon, 29 Jun 2020 20:09:57 +0300<br>
&gt; Cc: <a href=3D"mailto:42099 <at> debbugs.gnu.org" target=3D"_blank">42099@d=
ebbugs.gnu.org</a><br>
&gt; <br>
&gt; I forgot to say this, when I enter `chcp 857` and then enter emacs, th=
e problem still exists even though the<br>
&gt; system returns chcp 857.<br>
<br>
Thanks.<br>
<br>
I think the next step is for someone to run Emacs under GDB and see<br>
what kind of character codes Windows feeds us on the Turkish Windows<br>
systems.=C2=A0 The relevant function is key_event in w32inevt.c.=C2=A0 I gu=
ess<br>
there&#39;s some basic misunderstanding of what happens there on these<br>
Windows systems.<br>
</blockquote></div>

--00000000000057d79805a94fc59b--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42099; Package emacs. Full text available.

Message received at 42099 <at> debbugs.gnu.org:


Received: (at 42099) by debbugs.gnu.org; 30 Jun 2020 16:25:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 30 12:25:28 2020
Received: from localhost ([127.0.0.1]:51542 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jqJ4a-00080J-8U
	for submit <at> debbugs.gnu.org; Tue, 30 Jun 2020 12:25:28 -0400
Received: from eggs.gnu.org ([209.51.188.92]:41228)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jqJ4Y-000805-Ca
 for 42099 <at> debbugs.gnu.org; Tue, 30 Jun 2020 12:25:27 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:52422)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1jqJ4S-0004Sh-Ow; Tue, 30 Jun 2020 12:25:20 -0400
Received: from [176.228.60.248] (port=3901 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jqJ4P-0002XO-Jr; Tue, 30 Jun 2020 12:25:18 -0400
Date: Tue, 30 Jun 2020 19:25:11 +0300
Message-Id: <83eepwzfko.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Yigit Emre Sahinoglu <yigitemres@HIDDEN>
In-Reply-To: <CAKDmE5EBA=Q=OY57-SmaRV9S1y6kn-_CXapcBoBHNFAc=H6-0w@HIDDEN>
 (message from Yigit Emre Sahinoglu on Mon, 29 Jun 2020 20:09:57 +0300)
Subject: Re: bug#42099: Emacs -nw Turkish Layout Problem
References: <CAKDmE5Gddt6va=jPgW313yTHrSS7NcKd51NdT-Vre3Lu4FRY9A@HIDDEN>
 <83h7uv2ryp.fsf@HIDDEN>
 <CAKDmE5FJM49FgEtPhRhpNHxR1S=8gDjUeSawzucpdUdQDkVHxQ@HIDDEN>
 <835zbb2kgz.fsf@HIDDEN>
 <CAKDmE5Hx4cH=1HZx+wJ=vD0QY_VD0+fTxwGiT2w08JOQgHDAbg@HIDDEN>
 <83y2o711zf.fsf@HIDDEN> <54ddc85e-fca4-e585-e893-29d31c074a90@HIDDEN>
 <83wo3r0zyh.fsf@HIDDEN>
 <CAKDmE5E6+BBMC3e_kSEKYDSOvSiCsb4CK0beaU7mraQjKUS87Q@HIDDEN>
 <83sgee0xu8.fsf@HIDDEN> <cef1fb0e-cf57-ba78-9b36-ed57ddb1c848@HIDDEN>
 <83h7ut27lr.fsf@HIDDEN>
 <CAKDmE5Eqs7khvqQB8Y93BKHm7sEDQJBNBQknA2mh1M7tFzYqCQ@HIDDEN>
 <CAKDmE5EBA=Q=OY57-SmaRV9S1y6kn-_CXapcBoBHNFAc=H6-0w@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 42099
Cc: 42099 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Yigit Emre Sahinoglu <yigitemres@HIDDEN>
> Date: Mon, 29 Jun 2020 20:09:57 +0300
> Cc: 42099 <at> debbugs.gnu.org
> 
> I forgot to say this, when I enter `chcp 857` and then enter emacs, the problem still exists even though the
> system returns chcp 857.

Thanks.

I think the next step is for someone to run Emacs under GDB and see
what kind of character codes Windows feeds us on the Turkish Windows
systems.  The relevant function is key_event in w32inevt.c.  I guess
there's some basic misunderstanding of what happens there on these
Windows systems.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42099; Package emacs. Full text available.

Message received at 42099 <at> debbugs.gnu.org:


Received: (at 42099) by debbugs.gnu.org; 29 Jun 2020 17:10:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 29 13:10:16 2020
Received: from localhost ([127.0.0.1]:49312 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jpxIN-0002gf-T8
	for submit <at> debbugs.gnu.org; Mon, 29 Jun 2020 13:10:16 -0400
Received: from mail-wm1-f48.google.com ([209.85.128.48]:51290)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <yigitemres@HIDDEN>) id 1jpxIL-0002gR-JD
 for 42099 <at> debbugs.gnu.org; Mon, 29 Jun 2020 13:10:14 -0400
Received: by mail-wm1-f48.google.com with SMTP id 22so16104015wmg.1
 for <42099 <at> debbugs.gnu.org>; Mon, 29 Jun 2020 10:10:13 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=4WLYbd6r7NyWnrmS5bBzeh1j0S9G/tS5/48LLKsaGnk=;
 b=VJiphalfRG7gORYe7NbZhS7HGLr6892BDxw8RZXvHlOsf3a+5R/lpw3KLW0cb0y1S7
 eirlh3FJxXZTkQKrDfeKm0e1i8C0WLGr4isEP9H83YmpIhaSAi79KqH+U2/hQrfIi/u6
 Cp/AIn19raZaPyZz5Y//GQ79Wq8Hs3IpLTYO5Q6WoocJ2e5l889qyxR3T9ztIZcwWzYb
 e9HZwNn+unvJaFZoA5n+7I6piPdBbQ6lEYP9vj0VmMNbKe5Jvjthy73dLyWP79CfnWdO
 Hco8M5rTj+opA/NHAW44sUSSBadinOZWScpDAoq3CxAHf8fZBdsb3l5oDs4r3mrYgBZx
 Xefg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=4WLYbd6r7NyWnrmS5bBzeh1j0S9G/tS5/48LLKsaGnk=;
 b=RLBlAD8BI8ymvd4OeJ1zQGucQLNjhu61VBUAoqqg2Om0BgQTW1PMevxTgnXSE1pyTE
 02BVl0pIcCZdDdcSHHkCd7gE37jlw3Qvvg6tHcbbTebs4qwInmTItoeBG0EtbQO44ism
 li9Q4JQ4JdUCmjv/dJaENMwmWygVFLuLObEfI0bHJ9TpeuzS2Vse1/WHmMRanzTvjfo9
 PxyoHqCHllC+V6NaSTjl3vj0FxI+TtuEtrXLoW39Dm27sA5730pJwA12aXLm5IC7s8OO
 Qa2vziFHHX49sWqe1/5XnofecK2CCAdMLPDOJPDXbKvvrE7eVWGaR58EA4lqtoqbeLDl
 P91Q==
X-Gm-Message-State: AOAM5318jRuOGkvUkeoEbv5tgF6X9SfYsgaFPExkEUTO3Qq7hA2cTleB
 Uxp8d7cOevld3Uwey/Qda9rHQd4ASpgJPTqtMTWkGA==
X-Google-Smtp-Source: ABdhPJwgm6HFdy50Plka11dOcGFrB/OXPGnkNwQOdyH9jKPm9fwjmjseEuwT68W7OmdQmOuBau5n9FGosoMcTJDy/4M=
X-Received: by 2002:a05:600c:281:: with SMTP id
 1mr17779440wmk.143.1593450607857; 
 Mon, 29 Jun 2020 10:10:07 -0700 (PDT)
MIME-Version: 1.0
References: <CAKDmE5Gddt6va=jPgW313yTHrSS7NcKd51NdT-Vre3Lu4FRY9A@HIDDEN>
 <83h7uv2ryp.fsf@HIDDEN>
 <CAKDmE5FJM49FgEtPhRhpNHxR1S=8gDjUeSawzucpdUdQDkVHxQ@HIDDEN>
 <835zbb2kgz.fsf@HIDDEN>
 <CAKDmE5Hx4cH=1HZx+wJ=vD0QY_VD0+fTxwGiT2w08JOQgHDAbg@HIDDEN>
 <83y2o711zf.fsf@HIDDEN> <54ddc85e-fca4-e585-e893-29d31c074a90@HIDDEN>
 <83wo3r0zyh.fsf@HIDDEN>
 <CAKDmE5E6+BBMC3e_kSEKYDSOvSiCsb4CK0beaU7mraQjKUS87Q@HIDDEN>
 <83sgee0xu8.fsf@HIDDEN> <cef1fb0e-cf57-ba78-9b36-ed57ddb1c848@HIDDEN>
 <83h7ut27lr.fsf@HIDDEN>
 <CAKDmE5Eqs7khvqQB8Y93BKHm7sEDQJBNBQknA2mh1M7tFzYqCQ@HIDDEN>
In-Reply-To: <CAKDmE5Eqs7khvqQB8Y93BKHm7sEDQJBNBQknA2mh1M7tFzYqCQ@HIDDEN>
From: Yigit Emre Sahinoglu <yigitemres@HIDDEN>
Date: Mon, 29 Jun 2020 20:09:57 +0300
Message-ID: <CAKDmE5EBA=Q=OY57-SmaRV9S1y6kn-_CXapcBoBHNFAc=H6-0w@HIDDEN>
Subject: Re: bug#42099: Emacs -nw Turkish Layout Problem
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary="00000000000072d4cd05a93c219f"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42099
Cc: 42099 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--00000000000072d4cd05a93c219f
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

I forgot to say this, when I enter `chcp 857` and then enter emacs, the
problem still exists even though the system returns chcp 857.


On Mon, Jun 29, 2020 at 8:06 PM Yigit Emre Sahinoglu <yigitemres@HIDDEN>
wrote:

>   C-x RET t cp857 RET
>>
>   C-x RET k cp857 RET
>
>
> Not helping. The problem still exists.
>
> This is Windows 10, right?  Do you per chance have the UTF-8 support
>> feature enabled?
>>
>
> I use Windows 10. I cannot find UTF-8 support feature (look from `Windows
> features on or off`  from Control Panel) but I'm pretty sure that UTF-8
> support feature exists. Only problematic software I'm aware of is `emacs
> -nw`.
>
>
> Yi=C4=9Fit Emre =C5=9Eahino=C4=9Flu
>
>
> On Mon, Jun 29, 2020 at 6:51 PM Eli Zaretskii <eliz@HIDDEN> wrote:
>
>> > Cc: 42099 <at> debbugs.gnu.org
>> > From: Yigit Emre Sahinoglu <yigitemres@HIDDEN>
>> > Date: Mon, 29 Jun 2020 17:42:13 +0300
>> >
>> > chcp returns "Active code page: 437"
>> >
>> > All chars displayed correctly on cmd.exe. It's something about Emacs
>> > Windows (maybe mingw do something finicky), I'm sure of that.
>>
>> As long as the codepage reported to Emacs is 437, you will not be able
>> to see nor input Turkish characters.  the question is why is this
>> codepage being returned, when the system evidently uses a different
>> encoding...
>>
>> This is Windows 10, right?  Do you per chance have the UTF-8 support
>> feature enabled?
>>
>> You could also try this, once inside Emacs:
>>
>>   C-x RET t cp857 RET
>>   C-x RET k cp857 RET
>>
>> Does that help?
>>
>

--00000000000072d4cd05a93c219f
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div class=3D"gmail_default" style=3D"font-family:arial,he=
lvetica,sans-serif">I forgot to say this, when I enter `chcp 857` and then =
enter emacs, the problem still exists even though the system returns chcp 8=
57.</div><div class=3D"gmail_default" style=3D"font-family:arial,helvetica,=
sans-serif"><br clear=3D"all"></div></div><br><div class=3D"gmail_quote"><d=
iv dir=3D"ltr" class=3D"gmail_attr">On Mon, Jun 29, 2020 at 8:06 PM Yigit E=
mre Sahinoglu &lt;<a href=3D"mailto:yigitemres@HIDDEN">yigitemres@gmail.=
com</a>&gt; wrote:<br></div><blockquote class=3D"gmail_quote" style=3D"marg=
in:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204);padding-left:1e=
x"><div dir=3D"ltr"><div style=3D"font-family:arial,helvetica,sans-serif" c=
lass=3D"gmail_default"><blockquote class=3D"gmail_quote" style=3D"margin:0p=
x 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204);padding-left:1ex">
=C2=A0 C-x RET t cp857 RET<br></blockquote><blockquote class=3D"gmail_quote=
" style=3D"margin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204);=
padding-left:1ex">
=C2=A0 C-x RET k cp857 RET

</blockquote></div><div><br></div><div><div style=3D"font-family:arial,helv=
etica,sans-serif" class=3D"gmail_default">Not helping. The problem still ex=
ists. <br></div><div style=3D"font-family:arial,helvetica,sans-serif" class=
=3D"gmail_default"><br></div><blockquote class=3D"gmail_quote" style=3D"mar=
gin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204);padding-left:1=
ex"><div style=3D"font-family:arial,helvetica,sans-serif" class=3D"gmail_de=
fault">This is Windows 10, right?=C2=A0 Do you per chance have the UTF-8 su=
pport<br>
feature enabled?

</div></blockquote><div><br></div><div style=3D"font-family:arial,helvetica=
,sans-serif" class=3D"gmail_default">I use Windows 10. I cannot find UTF-8 =
support feature (look from `Windows features on or off`=C2=A0 from Control =
Panel) but I&#39;m pretty sure that UTF-8 support feature exists. Only prob=
lematic software I&#39;m aware of is `emacs -nw`.<br></div><br></div></div>=
<br clear=3D"all"><div><div dir=3D"ltr"><div dir=3D"ltr"><font face=3D"treb=
uchet ms, sans-serif">Yi=C4=9Fit Emre =C5=9Eahino=C4=9Flu</font></div></div=
></div><br><br><div class=3D"gmail_quote"><div dir=3D"ltr" class=3D"gmail_a=
ttr">On Mon, Jun 29, 2020 at 6:51 PM Eli Zaretskii &lt;<a href=3D"mailto:el=
iz@HIDDEN" target=3D"_blank">eliz@HIDDEN</a>&gt; wrote:<br></div><blockqu=
ote class=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-left:1px=
 solid rgb(204,204,204);padding-left:1ex">&gt; Cc: <a href=3D"mailto:42099@=
debbugs.gnu.org" target=3D"_blank">42099 <at> debbugs.gnu.org</a><br>
&gt; From: Yigit Emre Sahinoglu &lt;<a href=3D"mailto:yigitemres@HIDDEN"=
 target=3D"_blank">yigitemres@HIDDEN</a>&gt;<br>
&gt; Date: Mon, 29 Jun 2020 17:42:13 +0300<br>
&gt; <br>
&gt; chcp returns &quot;Active code page: 437&quot;<br>
&gt; <br>
&gt; All chars displayed correctly on cmd.exe. It&#39;s something about Ema=
cs <br>
&gt; Windows (maybe mingw do something finicky), I&#39;m sure of that.<br>
<br>
As long as the codepage reported to Emacs is 437, you will not be able<br>
to see nor input Turkish characters.=C2=A0 the question is why is this<br>
codepage being returned, when the system evidently uses a different<br>
encoding...<br>
<br>
This is Windows 10, right?=C2=A0 Do you per chance have the UTF-8 support<b=
r>
feature enabled?<br>
<br>
You could also try this, once inside Emacs:<br>
<br>
=C2=A0 C-x RET t cp857 RET<br>
=C2=A0 C-x RET k cp857 RET<br>
<br>
Does that help?<br>
</blockquote></div>
</blockquote></div>

--00000000000072d4cd05a93c219f--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42099; Package emacs. Full text available.

Message received at 42099 <at> debbugs.gnu.org:


Received: (at 42099) by debbugs.gnu.org; 29 Jun 2020 17:06:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 29 13:06:59 2020
Received: from localhost ([127.0.0.1]:49308 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jpxF9-0002be-O9
	for submit <at> debbugs.gnu.org; Mon, 29 Jun 2020 13:06:59 -0400
Received: from mail-wr1-f50.google.com ([209.85.221.50]:38001)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <yigitemres@HIDDEN>) id 1jpxF5-0002bO-Jm
 for 42099 <at> debbugs.gnu.org; Mon, 29 Jun 2020 13:06:53 -0400
Received: by mail-wr1-f50.google.com with SMTP id z13so17276136wrw.5
 for <42099 <at> debbugs.gnu.org>; Mon, 29 Jun 2020 10:06:51 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=SDg2QPP0Iq5dDUPMmbDesx4P8Y6fcQbn1AcDiX1J5Xg=;
 b=KS+fITuGJGc7nxY9fUcwkPL5rdu3nBL+4D10gzI2F5LyzhR+Bly4RQ2+EtN/3fSnmg
 uZeVTruSyqbqBKsQXigWKt2BaC/SQi8SDu9O6T8hV9OStWvoHe/A01CY3Cz/9cZ/r0WT
 JWIda0URCDK09yQvq2xlUglJLwUt5TWq70cGxNIZCr9Ri2wP8t46aIwYYRCidueNUgiY
 6H50PKwbNpZwrJNzm2BOUfocTy3V3OUuXtZxeSDBT1tMGiiXYjLE2qjY/AxbQTuTiI2y
 wEGxQh4pCjOwnhwSvSQWel0uQmxPrSwcA/6w1KdyHMn4rgfi0NYQDEaPz2UnLNakjoW2
 j/bg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=SDg2QPP0Iq5dDUPMmbDesx4P8Y6fcQbn1AcDiX1J5Xg=;
 b=UhfCdv/bYvhMXWX/bAm4ElY6bkMHqCSQBAC9/eL+d/75Z1dnQlsdC+BwXB8sXNRkjj
 epkhLKg0mrOkXIlDfWUR+EBFYrJ6yLBr9MOA6X9yOOEElBVQO/has+AYFO3L5J1V81/b
 j6KYuc13ZVPVpUtddIfFJ/a2qQQ3DLhblXbe1Xi+1XTjKXObU/jzDbk9EMukX6AfS3hx
 D8NM4jBpI5gsuL16IvBdVloNfPl7RPREuCCfDT2sRWc60y5ix3BnGFXDHN0v7N06bukM
 p256ARC0sy+oxfIO1B5FeCk4s5IivxEAPH6NUbC+V4OFaYyH1Q48BYggTsqYZWTUe9lp
 Z7bA==
X-Gm-Message-State: AOAM530/oNo1KTo+LFKBpUht6WV2sdAlq9xBjXyIz6P+kPb4nxTkOjKg
 bno2crHYi84flQY4M5coWNFy4spxWHpl/98CUeY=
X-Google-Smtp-Source: ABdhPJy33Xdu0KlHcuQyJ1bvR3ZYuxtmok6MH5T51lxFbKgA9K3jKFfajOS59X0ucpwtnEzA+5AdFLrZJQTY1rjIwGU=
X-Received: by 2002:a5d:69c5:: with SMTP id s5mr17804842wrw.197.1593450405719; 
 Mon, 29 Jun 2020 10:06:45 -0700 (PDT)
MIME-Version: 1.0
References: <CAKDmE5Gddt6va=jPgW313yTHrSS7NcKd51NdT-Vre3Lu4FRY9A@HIDDEN>
 <83h7uv2ryp.fsf@HIDDEN>
 <CAKDmE5FJM49FgEtPhRhpNHxR1S=8gDjUeSawzucpdUdQDkVHxQ@HIDDEN>
 <835zbb2kgz.fsf@HIDDEN>
 <CAKDmE5Hx4cH=1HZx+wJ=vD0QY_VD0+fTxwGiT2w08JOQgHDAbg@HIDDEN>
 <83y2o711zf.fsf@HIDDEN> <54ddc85e-fca4-e585-e893-29d31c074a90@HIDDEN>
 <83wo3r0zyh.fsf@HIDDEN>
 <CAKDmE5E6+BBMC3e_kSEKYDSOvSiCsb4CK0beaU7mraQjKUS87Q@HIDDEN>
 <83sgee0xu8.fsf@HIDDEN> <cef1fb0e-cf57-ba78-9b36-ed57ddb1c848@HIDDEN>
 <83h7ut27lr.fsf@HIDDEN>
In-Reply-To: <83h7ut27lr.fsf@HIDDEN>
From: Yigit Emre Sahinoglu <yigitemres@HIDDEN>
Date: Mon, 29 Jun 2020 20:06:35 +0300
Message-ID: <CAKDmE5Eqs7khvqQB8Y93BKHm7sEDQJBNBQknA2mh1M7tFzYqCQ@HIDDEN>
Subject: Re: bug#42099: Emacs -nw Turkish Layout Problem
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary="00000000000066732305a93c1525"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42099
Cc: 42099 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--00000000000066732305a93c1525
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

>
>   C-x RET t cp857 RET
>
  C-x RET k cp857 RET


Not helping. The problem still exists.

This is Windows 10, right?  Do you per chance have the UTF-8 support
> feature enabled?
>

I use Windows 10. I cannot find UTF-8 support feature (look from `Windows
features on or off`  from Control Panel) but I'm pretty sure that UTF-8
support feature exists. Only problematic software I'm aware of is `emacs
-nw`.


Yi=C4=9Fit Emre =C5=9Eahino=C4=9Flu


On Mon, Jun 29, 2020 at 6:51 PM Eli Zaretskii <eliz@HIDDEN> wrote:

> > Cc: 42099 <at> debbugs.gnu.org
> > From: Yigit Emre Sahinoglu <yigitemres@HIDDEN>
> > Date: Mon, 29 Jun 2020 17:42:13 +0300
> >
> > chcp returns "Active code page: 437"
> >
> > All chars displayed correctly on cmd.exe. It's something about Emacs
> > Windows (maybe mingw do something finicky), I'm sure of that.
>
> As long as the codepage reported to Emacs is 437, you will not be able
> to see nor input Turkish characters.  the question is why is this
> codepage being returned, when the system evidently uses a different
> encoding...
>
> This is Windows 10, right?  Do you per chance have the UTF-8 support
> feature enabled?
>
> You could also try this, once inside Emacs:
>
>   C-x RET t cp857 RET
>   C-x RET k cp857 RET
>
> Does that help?
>

--00000000000066732305a93c1525
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div style=3D"font-family:arial,helvetica,sans-serif" clas=
s=3D"gmail_default"><blockquote class=3D"gmail_quote" style=3D"margin:0px 0=
px 0px 0.8ex;border-left:1px solid rgb(204,204,204);padding-left:1ex">
=C2=A0 C-x RET t cp857 RET<br></blockquote><blockquote class=3D"gmail_quote=
" style=3D"margin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204);=
padding-left:1ex">
=C2=A0 C-x RET k cp857 RET

</blockquote></div><div><br></div><div><div style=3D"font-family:arial,helv=
etica,sans-serif" class=3D"gmail_default">Not helping. The problem still ex=
ists. <br></div><div style=3D"font-family:arial,helvetica,sans-serif" class=
=3D"gmail_default"><br></div><blockquote class=3D"gmail_quote" style=3D"mar=
gin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204);padding-left:1=
ex"><div style=3D"font-family:arial,helvetica,sans-serif" class=3D"gmail_de=
fault">This is Windows 10, right?=C2=A0 Do you per chance have the UTF-8 su=
pport<br>
feature enabled?

</div></blockquote><div><br></div><div style=3D"font-family:arial,helvetica=
,sans-serif" class=3D"gmail_default">I use Windows 10. I cannot find UTF-8 =
support feature (look from `Windows features on or off`=C2=A0 from Control =
Panel) but I&#39;m pretty sure that UTF-8 support feature exists. Only prob=
lematic software I&#39;m aware of is `emacs -nw`.<br></div><br></div></div>=
<br clear=3D"all"><div><div dir=3D"ltr" class=3D"gmail_signature"><div dir=
=3D"ltr"><font face=3D"trebuchet ms, sans-serif">Yi=C4=9Fit Emre =C5=9Eahin=
o=C4=9Flu</font></div></div></div><br><br><div class=3D"gmail_quote"><div d=
ir=3D"ltr" class=3D"gmail_attr">On Mon, Jun 29, 2020 at 6:51 PM Eli Zaretsk=
ii &lt;<a href=3D"mailto:eliz@HIDDEN">eliz@HIDDEN</a>&gt; wrote:<br></div=
><blockquote class=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border=
-left:1px solid rgb(204,204,204);padding-left:1ex">&gt; Cc: <a href=3D"mail=
to:42099 <at> debbugs.gnu.org" target=3D"_blank">42099 <at> debbugs.gnu.org</a><br>
&gt; From: Yigit Emre Sahinoglu &lt;<a href=3D"mailto:yigitemres@HIDDEN"=
 target=3D"_blank">yigitemres@HIDDEN</a>&gt;<br>
&gt; Date: Mon, 29 Jun 2020 17:42:13 +0300<br>
&gt; <br>
&gt; chcp returns &quot;Active code page: 437&quot;<br>
&gt; <br>
&gt; All chars displayed correctly on cmd.exe. It&#39;s something about Ema=
cs <br>
&gt; Windows (maybe mingw do something finicky), I&#39;m sure of that.<br>
<br>
As long as the codepage reported to Emacs is 437, you will not be able<br>
to see nor input Turkish characters.=C2=A0 the question is why is this<br>
codepage being returned, when the system evidently uses a different<br>
encoding...<br>
<br>
This is Windows 10, right?=C2=A0 Do you per chance have the UTF-8 support<b=
r>
feature enabled?<br>
<br>
You could also try this, once inside Emacs:<br>
<br>
=C2=A0 C-x RET t cp857 RET<br>
=C2=A0 C-x RET k cp857 RET<br>
<br>
Does that help?<br>
</blockquote></div>

--00000000000066732305a93c1525--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42099; Package emacs. Full text available.

Message received at 42099 <at> debbugs.gnu.org:


Received: (at 42099) by debbugs.gnu.org; 29 Jun 2020 15:51:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 29 11:51:46 2020
Received: from localhost ([127.0.0.1]:49154 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jpw4P-0008Rh-QV
	for submit <at> debbugs.gnu.org; Mon, 29 Jun 2020 11:51:45 -0400
Received: from eggs.gnu.org ([209.51.188.92]:54530)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jpw4O-0008RR-Dc
 for 42099 <at> debbugs.gnu.org; Mon, 29 Jun 2020 11:51:44 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:33545)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1jpw4J-0006Xk-21; Mon, 29 Jun 2020 11:51:39 -0400
Received: from [176.228.60.248] (port=4454 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jpw4I-0005BS-Ej; Mon, 29 Jun 2020 11:51:38 -0400
Date: Mon, 29 Jun 2020 18:51:28 +0300
Message-Id: <83h7ut27lr.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Yigit Emre Sahinoglu <yigitemres@HIDDEN>
In-Reply-To: <cef1fb0e-cf57-ba78-9b36-ed57ddb1c848@HIDDEN> (message from
 Yigit Emre Sahinoglu on Mon, 29 Jun 2020 17:42:13 +0300)
Subject: Re: bug#42099: Emacs -nw Turkish Layout Problem
References: <CAKDmE5Gddt6va=jPgW313yTHrSS7NcKd51NdT-Vre3Lu4FRY9A@HIDDEN>
 <83h7uv2ryp.fsf@HIDDEN>
 <CAKDmE5FJM49FgEtPhRhpNHxR1S=8gDjUeSawzucpdUdQDkVHxQ@HIDDEN>
 <835zbb2kgz.fsf@HIDDEN>
 <CAKDmE5Hx4cH=1HZx+wJ=vD0QY_VD0+fTxwGiT2w08JOQgHDAbg@HIDDEN>
 <83y2o711zf.fsf@HIDDEN> <54ddc85e-fca4-e585-e893-29d31c074a90@HIDDEN>
 <83wo3r0zyh.fsf@HIDDEN>
 <CAKDmE5E6+BBMC3e_kSEKYDSOvSiCsb4CK0beaU7mraQjKUS87Q@HIDDEN>
 <83sgee0xu8.fsf@HIDDEN> <cef1fb0e-cf57-ba78-9b36-ed57ddb1c848@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 42099
Cc: 42099 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: 42099 <at> debbugs.gnu.org
> From: Yigit Emre Sahinoglu <yigitemres@HIDDEN>
> Date: Mon, 29 Jun 2020 17:42:13 +0300
> 
> chcp returns "Active code page: 437"
> 
> All chars displayed correctly on cmd.exe. It's something about Emacs 
> Windows (maybe mingw do something finicky), I'm sure of that.

As long as the codepage reported to Emacs is 437, you will not be able
to see nor input Turkish characters.  the question is why is this
codepage being returned, when the system evidently uses a different
encoding...

This is Windows 10, right?  Do you per chance have the UTF-8 support
feature enabled?

You could also try this, once inside Emacs:

  C-x RET t cp857 RET
  C-x RET k cp857 RET

Does that help?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42099; Package emacs. Full text available.

Message received at 42099 <at> debbugs.gnu.org:


Received: (at 42099) by debbugs.gnu.org; 29 Jun 2020 14:42:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 29 10:42:25 2020
Received: from localhost ([127.0.0.1]:49060 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jpuzJ-0006Ds-Kz
	for submit <at> debbugs.gnu.org; Mon, 29 Jun 2020 10:42:25 -0400
Received: from mail-ed1-f44.google.com ([209.85.208.44]:46131)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <yigitemres@HIDDEN>) id 1jpuzF-0006DU-0h
 for 42099 <at> debbugs.gnu.org; Mon, 29 Jun 2020 10:42:24 -0400
Received: by mail-ed1-f44.google.com with SMTP id dm19so6792108edb.13
 for <42099 <at> debbugs.gnu.org>; Mon, 29 Jun 2020 07:42:20 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language;
 bh=CmDyLdStNFBGBY4ys4yn2ipyh+/q30/v/cFIfimuLHg=;
 b=gbGKrHfN8KCHdHKsIUmZK2C71Asc2WtrY4Hr1hk5BOLRIjcLJTWIL9aRK5+34haAgn
 HAfp+e+A+IrJkSOIArbvRcgOIZKqIVfxhRaSj412GT2FS+dBuqRQQw3BtZlWt7buaZyz
 YIFNm9eC0zEcm1930i4Sk8djFx8qZv2EqvtR6bfR/Z8DZ2EXxLIMOwXqBYYeEV/wDh/E
 vqvyOrEoKoa5/azCumBmAdKx7VkL0f54upsCd+GGJort1VQ/KFaNiyNj7P4RCPOXbz0t
 5pWeIpjWSlOm+YeLWyGHBrIeOmKQgsjpHaj0mJc1yum+jxDuh+aoz0755YT0y5gwYx6S
 VGdQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:subject:to:cc:references:from:message-id:date
 :user-agent:mime-version:in-reply-to:content-language;
 bh=CmDyLdStNFBGBY4ys4yn2ipyh+/q30/v/cFIfimuLHg=;
 b=syw02XdUn3FxaeyZJd5SZgksaLXZWeAp2aSuwucDVzy4xxIrey8lextxQdXKpK+zBC
 aWpOYsynywqqtmlm7XsjiIlYHqNZPF9UZRP1x3BY/3fvrgOEK+V/KBCGi3jVuvtJdMrS
 6BOtf0jniz9R8QYFCvnOiXJC6w/XL1XBWGg6nqENIvPBv6ZBf09m1MId2pXA6h7GOzum
 tcq71nD2CHiPxP9Y9ECQKQ5WfVuVJqVwUgc/zh/9m41D42+zSiaTDGpmVDaqQzu0UtZy
 0IXp6wvE5SkZ1sN4jRkPGuNT7xS1aLe3yJfy86OX8WZLZo82qTG34TWFsTriI/0SxTgp
 urGQ==
X-Gm-Message-State: AOAM533zpd1aXMWDMbBPkiFMUELiAr/K5YxLDVl64ReUg8SoBhsq9AKZ
 ncfHDhbW54UY7gFXlYvvSnXrS+0M
X-Google-Smtp-Source: ABdhPJxAAHK978GPukM/V6QDc6e6i3RWlFzHFhSWUF26qzR6q/BVl0tE7RPyKnzkgCpMC58l+py/dA==
X-Received: by 2002:a50:8465:: with SMTP id 92mr17435041edp.388.1593441734794; 
 Mon, 29 Jun 2020 07:42:14 -0700 (PDT)
Received: from [192.168.1.19] ([81.215.239.91])
 by smtp.gmail.com with ESMTPSA id p18sm12167056ejm.55.2020.06.29.07.42.13
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Mon, 29 Jun 2020 07:42:14 -0700 (PDT)
Subject: Re: bug#42099: Emacs -nw Turkish Layout Problem
To: Eli Zaretskii <eliz@HIDDEN>
References: <CAKDmE5Gddt6va=jPgW313yTHrSS7NcKd51NdT-Vre3Lu4FRY9A@HIDDEN>
 <83h7uv2ryp.fsf@HIDDEN>
 <CAKDmE5FJM49FgEtPhRhpNHxR1S=8gDjUeSawzucpdUdQDkVHxQ@HIDDEN>
 <835zbb2kgz.fsf@HIDDEN>
 <CAKDmE5Hx4cH=1HZx+wJ=vD0QY_VD0+fTxwGiT2w08JOQgHDAbg@HIDDEN>
 <83y2o711zf.fsf@HIDDEN> <54ddc85e-fca4-e585-e893-29d31c074a90@HIDDEN>
 <83wo3r0zyh.fsf@HIDDEN>
 <CAKDmE5E6+BBMC3e_kSEKYDSOvSiCsb4CK0beaU7mraQjKUS87Q@HIDDEN>
 <83sgee0xu8.fsf@HIDDEN>
From: Yigit Emre Sahinoglu <yigitemres@HIDDEN>
Message-ID: <cef1fb0e-cf57-ba78-9b36-ed57ddb1c848@HIDDEN>
Date: Mon, 29 Jun 2020 17:42:13 +0300
User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:78.0) Gecko/20100101
 Thunderbird/78.0
MIME-Version: 1.0
In-Reply-To: <83sgee0xu8.fsf@HIDDEN>
Content-Type: multipart/mixed; boundary="------------A6A774D6CF3B51421A4AAE09"
Content-Language: en-US
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42099
Cc: 42099 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This is a multi-part message in MIME format.
--------------A6A774D6CF3B51421A4AAE09
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 8bit

chcp returns "Active code page: 437"

All chars displayed correctly on cmd.exe. It's something about Emacs 
Windows (maybe mingw do something finicky), I'm sure of that. WSL Emacs 
works perfectly fine with "emacs -Q -nw" even from cmd.exe. You can look 
at the attachments.


On 2020-06-29 17:07, Eli Zaretskii wrote:
>> From: Yigit Emre Sahinoglu <yigitemres@HIDDEN>
>> Date: Sun, 28 Jun 2020 22:46:39 +0300
>> Cc: 42099 <at> debbugs.gnu.org
>>
>> w32-get-console-codepage = 437 (#0665, #x1b5). Problem still exists as
>> I described (ö, ç, ü works but ş, İ (types 0), ğ are broken.)
> OK.  So I think the problem might be in the setup of the Windows
> system.  If you type "chcp RET" in the Command Prompt window, does it
> also show codepage 437?  And if you type the problematic characters
> into the Command Prompt window (outside of Emacs) at the cmd.exe
> prompt, do you also see those characters displayed incorrectly?

--------------A6A774D6CF3B51421A4AAE09
Content-Type: image/png;
 name="cmd_XAWZQ3ayEB.png"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename="cmd_XAWZQ3ayEB.png"
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--------------A6A774D6CF3B51421A4AAE09
Content-Type: image/png;
 name="cmd_3LO9oNHOnO.png"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename="cmd_3LO9oNHOnO.png"
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--------------A6A774D6CF3B51421A4AAE09--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42099; Package emacs. Full text available.

Message received at 42099 <at> debbugs.gnu.org:


Received: (at 42099) by debbugs.gnu.org; 29 Jun 2020 14:08:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 29 10:08:01 2020
Received: from localhost ([127.0.0.1]:49020 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jpuS1-000531-17
	for submit <at> debbugs.gnu.org; Mon, 29 Jun 2020 10:08:01 -0400
Received: from eggs.gnu.org ([209.51.188.92]:52588)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jpuRz-00052k-0V
 for 42099 <at> debbugs.gnu.org; Mon, 29 Jun 2020 10:07:59 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:59949)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1jpuRt-0004M8-Iv; Mon, 29 Jun 2020 10:07:53 -0400
Received: from [176.228.60.248] (port=1998 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jpuRs-0001wg-Bl; Mon, 29 Jun 2020 10:07:53 -0400
Date: Mon, 29 Jun 2020 17:07:43 +0300
Message-Id: <83sgee0xu8.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Yigit Emre Sahinoglu <yigitemres@HIDDEN>
In-Reply-To: <CAKDmE5E6+BBMC3e_kSEKYDSOvSiCsb4CK0beaU7mraQjKUS87Q@HIDDEN>
 (message from Yigit Emre Sahinoglu on Sun, 28 Jun 2020 22:46:39 +0300)
Subject: Re: bug#42099: Emacs -nw Turkish Layout Problem
References: <CAKDmE5Gddt6va=jPgW313yTHrSS7NcKd51NdT-Vre3Lu4FRY9A@HIDDEN>
 <83h7uv2ryp.fsf@HIDDEN>
 <CAKDmE5FJM49FgEtPhRhpNHxR1S=8gDjUeSawzucpdUdQDkVHxQ@HIDDEN>
 <835zbb2kgz.fsf@HIDDEN>
 <CAKDmE5Hx4cH=1HZx+wJ=vD0QY_VD0+fTxwGiT2w08JOQgHDAbg@HIDDEN>
 <83y2o711zf.fsf@HIDDEN> <54ddc85e-fca4-e585-e893-29d31c074a90@HIDDEN>
 <83wo3r0zyh.fsf@HIDDEN>
 <CAKDmE5E6+BBMC3e_kSEKYDSOvSiCsb4CK0beaU7mraQjKUS87Q@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 42099
Cc: 42099 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Yigit Emre Sahinoglu <yigitemres@HIDDEN>
> Date: Sun, 28 Jun 2020 22:46:39 +0300
> Cc: 42099 <at> debbugs.gnu.org
> 
> w32-get-console-codepage = 437 (#0665, #x1b5). Problem still exists as
> I described (ö, ç, ü works but ş, İ (types 0), ğ are broken.)

OK.  So I think the problem might be in the setup of the Windows
system.  If you type "chcp RET" in the Command Prompt window, does it
also show codepage 437?  And if you type the problematic characters
into the Command Prompt window (outside of Emacs) at the cmd.exe
prompt, do you also see those characters displayed incorrectly?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42099; Package emacs. Full text available.

Message received at 42099 <at> debbugs.gnu.org:


Received: (at 42099) by debbugs.gnu.org; 28 Jun 2020 22:42:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 28 18:42:20 2020
Received: from localhost ([127.0.0.1]:47184 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jpg0B-0004np-Mv
	for submit <at> debbugs.gnu.org; Sun, 28 Jun 2020 18:42:19 -0400
Received: from mail-wr1-f51.google.com ([209.85.221.51]:33145)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <yigitemres@HIDDEN>) id 1jpdGS-0004DP-0B
 for 42099 <at> debbugs.gnu.org; Sun, 28 Jun 2020 15:46:59 -0400
Received: by mail-wr1-f51.google.com with SMTP id f18so6464340wrs.0
 for <42099 <at> debbugs.gnu.org>; Sun, 28 Jun 2020 12:46:55 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc:content-transfer-encoding;
 bh=EqR5hH2l04zd/uPBglV0ZCPSRiyKo9dfo47IcCGkzwg=;
 b=UW6k5R+V6dH6RXMGhI5L6Rlri8e8sybMTFDbR4Q5T7bzZ49l5IgtKWH65vBUuYfjVK
 DHA64nHrhkdOh5CqYpwpT1kbev+naDLQ76eaddPL5BoyCE1CUinU6bC+3MP8SKgLxUOF
 s3k0ugUiCirMt37hJHK5kFcX+ArtN1/mrwuC/UINGI+u4HlbazFxUcfH1b2VAN0dlTbG
 OgAXP4zOeeNtraBnZ4i/7/hGC0YpxMHnIkb+91iaRktuIBpvy46KBvpdL7ebFDI3259E
 PyQiKomKJ+ptkUrfWTKqBF2qaTpdxG5orCRQmHMfGH5A4qkhWUOd77fDejS7jEvsm1xV
 1V2A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc:content-transfer-encoding;
 bh=EqR5hH2l04zd/uPBglV0ZCPSRiyKo9dfo47IcCGkzwg=;
 b=tw3uiN5+XKfVNNHF/hNfuQ6OTiZVg1R3aq7OznT/qCw54Pz9zbz2pwfyDY8CbT8wYV
 VTl8L+B7SczbuOXZOiDK6FSPl+vDjOhfaXBnXLl5DjgvQM18EPw4qQzkwVBJATVRWiXC
 WFhOULIz2DKP5aUYXJqKpi22U2GezJwQ+pjtVA9MGHAUgHc/2M5EJhIuTWztlcO6ZrVr
 YKgZ/lqj6jV/mE0W5Mo/Kd7hIdiuGv6SZmPXeO761QK8FsjKG5z3UWZvJhWB2jFhULEd
 rLR0/Ag80gGc0GNy+LTl+N0SAi2B+guaVYd6Zy4iIHjayCPhzoPuFma/BNtqsl9u3AEe
 JgRg==
X-Gm-Message-State: AOAM532uVDx2dd7DGhMmcbtjp8PLtHUiuzSJAKqnmJ7xKRDhtpFQxUCA
 LRc+oHlHQYjllMOC0INi2KhxeoLrtZvLKIrEpwNxzPoqvS0=
X-Google-Smtp-Source: ABdhPJzxX2y9xnfvRgjFmvSf1RWv4M9G48ytF/C23zCNIqx8oc9pTD3Gs75jrbw+RuMTxrvS88XBPFyHO2sj9Vqjnvg=
X-Received: by 2002:adf:afc3:: with SMTP id y3mr14680216wrd.277.1593373610092; 
 Sun, 28 Jun 2020 12:46:50 -0700 (PDT)
MIME-Version: 1.0
References: <CAKDmE5Gddt6va=jPgW313yTHrSS7NcKd51NdT-Vre3Lu4FRY9A@HIDDEN>
 <83h7uv2ryp.fsf@HIDDEN>
 <CAKDmE5FJM49FgEtPhRhpNHxR1S=8gDjUeSawzucpdUdQDkVHxQ@HIDDEN>
 <835zbb2kgz.fsf@HIDDEN>
 <CAKDmE5Hx4cH=1HZx+wJ=vD0QY_VD0+fTxwGiT2w08JOQgHDAbg@HIDDEN>
 <83y2o711zf.fsf@HIDDEN> <54ddc85e-fca4-e585-e893-29d31c074a90@HIDDEN>
 <83wo3r0zyh.fsf@HIDDEN>
In-Reply-To: <83wo3r0zyh.fsf@HIDDEN>
From: Yigit Emre Sahinoglu <yigitemres@HIDDEN>
Date: Sun, 28 Jun 2020 22:46:39 +0300
Message-ID: <CAKDmE5E6+BBMC3e_kSEKYDSOvSiCsb4CK0beaU7mraQjKUS87Q@HIDDEN>
Subject: Re: bug#42099: Emacs -nw Turkish Layout Problem
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42099
X-Mailman-Approved-At: Sun, 28 Jun 2020 18:42:17 -0400
Cc: 42099 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

w32-get-console-codepage =3D 437 (#0665, #x1b5). Problem still exists as
I described (=C3=B6, =C3=A7, =C3=BC works but =C5=9F, =C4=B0 (types 0), =C4=
=9F are broken.)

"M-: (setq w32-use-fallback-wm-chars-method t)" does nothing. Problem
still exists (I check the value if it's correctly set with
describe-value).

On Sun, Jun 28, 2020 at 10:09 PM Eli Zaretskii <eliz@HIDDEN> wrote:
>
> > Cc: 42099 <at> debbugs.gnu.org
> > From: Yigit Emre Sahinoglu <yigitemres@HIDDEN>
> > Date: Sun, 28 Jun 2020 21:39:34 +0300
> >
> > > If you start "emacs -Q -nw" in a cmd.exe window, then type =C5=9F, wh=
at
> > > happens?
> > "=C5=9F" turns into "_".
> >
> >
> > > And what does "C-h l" report after that?
> > _               ;; self-insert-command
> > C-h k        ;; view-lossage
> >
> >
> > > Also, what happens if you type "C-x 8 RET 15f RET", do you see the =
=C5=9F
> > > character on display, or do you see something else?
> > \u015F
>
> So there are two problems: both keyboard input and display of Turkish
> characters are broken.  Is this still on a system where
> w32-get-console-codepage returns 437?
>
> Does anything change regarding typing Turkish characters if you set
> w32-use-fallback-wm-chars-method to a non-nil value?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42099; Package emacs. Full text available.

Message received at 42099 <at> debbugs.gnu.org:


Received: (at 42099) by debbugs.gnu.org; 28 Jun 2020 22:42:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 28 18:42:19 2020
Received: from localhost ([127.0.0.1]:47182 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jpg0B-0004nn-B1
	for submit <at> debbugs.gnu.org; Sun, 28 Jun 2020 18:42:19 -0400
Received: from mail-wm1-f41.google.com ([209.85.128.41]:53925)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <yigitemres@HIDDEN>) id 1jpcHV-0002TR-Kj
 for 42099 <at> debbugs.gnu.org; Sun, 28 Jun 2020 14:43:58 -0400
Received: by mail-wm1-f41.google.com with SMTP id j18so13390008wmi.3
 for <42099 <at> debbugs.gnu.org>; Sun, 28 Jun 2020 11:43:57 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc:content-transfer-encoding;
 bh=ZklHh52UcTts60FX6vVEYEuvj0K1UlzBdN1OaJ+rZ2I=;
 b=XUTV2aYat+DTYvN6Xm+CXwtwgWJ6szrLmdd2MvqMlhTCeYDkmmGAEpzz0mi3gpxlif
 B2lXr2QSUcg4jdpPIsE0LJqGPmnmv5wIuEu79S45uz60YQuxwdwBHl0AweEOxQd/T5Z4
 CT6J02vOldn9h9XoEzosPgv/77KkWxD7hjwKWahcnXvitPFrQ0cD7zhg1h0kYBB1MLkf
 CFBL5OgmP+XAs9YP8TnXXCNyoy8J7xi8F+2MwdYjndY06l1Mcc7jZfepOKSFfjv8NsPP
 MDF0aym0CMbGiDZSGzvCzRQSPMuObV1LPsKBQGeNJPyWHw9pnTUpTu//fik8D1CAj85R
 jBFA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc:content-transfer-encoding;
 bh=ZklHh52UcTts60FX6vVEYEuvj0K1UlzBdN1OaJ+rZ2I=;
 b=tuEdQchMz1D5BzxpnturkNhpDjAtlTA46YIGM3TTsesMdM3GtU2zI2iLZRuWll35zE
 mV/pyV7ZmBSljt9z9HYeUOidCg8GPmCGX+mOQYiMF6zd86IuRcRsHrvav6s8Q/mhEz0K
 dggEaJNgc+0KAOZHdFalYDdP0x+6S1uREOICkimT78ZKjr3SijlGm6/sDeanJl9qR0gv
 9wtaEkID14PHHErxLO9SJKpWgAyb86psartgGcNs8rE3GVZzREadGFeTdRFGJIUIjdwV
 U4ub70yS+TQ3Ll4u8M/2JVerqRz1fjjxfFkYabBWXhwc8q2t70oBCMTL5MG0/5JWXGbl
 outQ==
X-Gm-Message-State: AOAM532YyNNrwul0fDOFEXwYiPEb2OeSrJ5L+o1Nh2eH57kQZRv72QvR
 V3tWaZnag/PD/oX0qdyvWEQ2BjkD05WOlM5O/1Q=
X-Google-Smtp-Source: ABdhPJyDrfWAPWffG6NC3czlfVON3qLN2hnBn7JW8btrapjOELOjReRud0nq34rHHm0na9ytqLHVoKLbcjZb8lIBcbw=
X-Received: by 2002:a1c:a7c4:: with SMTP id q187mr13092067wme.0.1593369831733; 
 Sun, 28 Jun 2020 11:43:51 -0700 (PDT)
MIME-Version: 1.0
References: <CAKDmE5Gddt6va=jPgW313yTHrSS7NcKd51NdT-Vre3Lu4FRY9A@HIDDEN>
 <83h7uv2ryp.fsf@HIDDEN>
 <CAKDmE5FJM49FgEtPhRhpNHxR1S=8gDjUeSawzucpdUdQDkVHxQ@HIDDEN>
 <835zbb2kgz.fsf@HIDDEN>
 <CAKDmE5Hx4cH=1HZx+wJ=vD0QY_VD0+fTxwGiT2w08JOQgHDAbg@HIDDEN>
 <83y2o711zf.fsf@HIDDEN> <54ddc85e-fca4-e585-e893-29d31c074a90@HIDDEN>
In-Reply-To: <54ddc85e-fca4-e585-e893-29d31c074a90@HIDDEN>
From: Yigit Emre Sahinoglu <yigitemres@HIDDEN>
Date: Sun, 28 Jun 2020 21:43:40 +0300
Message-ID: <CAKDmE5FK8Ny08xk14vCL3aUHmZ0jDQ-0KZAyMuv8TasVQOGmag@HIDDEN>
Subject: Re: bug#42099: Emacs -nw Turkish Layout Problem
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42099
X-Mailman-Approved-At: Sun, 28 Jun 2020 18:42:17 -0400
Cc: 42099 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

And Thunderbird causes formatting issues... Sorry for it. I'm disable
one of my browser extensions and I can see the "reply all" button on
Gmail. Never happen again. =3D(

Best regards,
Yi=C4=9Fit Emre =C5=9Eahino=C4=9Flu

On Sun, Jun 28, 2020 at 9:39 PM Yigit Emre Sahinoglu
<yigitemres@HIDDEN> wrote:
>
> I'm download Thunderbird for just for Cc problem. ^_^
>
> > Are you saying that you see the same problem as the OP?  Because the
> > problem you described earlier was different.
> Yes, I have the same problem. I described the problem which I faced but
> he is finder of the bug.(I love referencing the sources...). Sorry for
> the misunderstanding.
>
> I done all my testing which I sent to you with previous messages do
> under "emacs -Q -nw" conditions but I'm gonna answer again one by one.
>
> > If you start "emacs -Q -nw" in a cmd.exe window, then type =C5=9F, what
> > happens?
> "=C5=9F" turns into "_".
>
>
> > And what does "C-h l" report after that?
> _               ;; self-insert-command
> C-h k        ;; view-lossage
>
>
> > Also, what happens if you type "C-x 8 RET 15f RET", do you see the =C5=
=9F
> > character on display, or do you see something else?
> \u015F
>
>
> > There are now keyboard layout files on Windows.  Does it help to
> > evaluate this:
> >
> >    M-: (w32-set-console-codepage 857) RET
> >
> > If that doesn't help, try this instead:
> >
> >    M-: (w32-set-console-codepage 1254) RET
> Still same. No change.
>
>
> On 2020-06-28 21:25, Eli Zaretskii wrote:
> >> From: Yigit Emre Sahinoglu <yigitemres@HIDDEN>
> >> Date: Sun, 28 Jun 2020 20:54:45 +0300
> >>
> >> For some reason I cannot edit cc from gmail (Either gui changed or i
> >> cannot see it. Sorry for the trouble.).
> > Use "Reply All".
> >
> >> I love helping people on reddit If I can. When I try to solve his
> >> problem, I face the same problem. I try with every terminal available
> >> on Windows (with native or with emulator) but the problem still
> >> exists. He uses Win 7, I use Win 10. He uses emacs 25.2.1 and  25.3.1,
> >> I use 27.0.91. He uses cmder (emulator) and with cmd.exe, I use
> >> Powershell 7,6 , cmd.exe with and without Windows Terminal (emulator).
> > Are you saying that you see the same problem as the OP?  Because the
> > problem you described earlier was different.
> >
> > If you start "emacs -Q -nw" in a cmd.exe window, then type =C5=9F, what
> > happens?  And what does "C-h l" report after that?
> >
> > Also, what happens if you type "C-x 8 RET 15f RET", do you see the =C5=
=9F
> > character on display, or do you see something else?
> >
> >> I don't know how emacs works. But if emacs reads some kind of keyboard
> >> layout table like QMK Firmware, this table is somehow messed up while
> >> using "-nw" (or `X resources` on Windows somehow send true signals to
> >> emacs and keyboard layout is fine with GUI). If you can tell me where
> >> the keyboard layout files (if emacs reads from files) I can look at
> >> it.
> > There are now keyboard layout files on Windows.  Does it help to
> > evaluate this:
> >
> >    M-: (w32-set-console-codepage 857) RET
> >
> > If that doesn't help, try this instead:
> >
> >    M-: (w32-set-console-codepage 1254) RET




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42099; Package emacs. Full text available.

Message received at 42099 <at> debbugs.gnu.org:


Received: (at 42099) by debbugs.gnu.org; 28 Jun 2020 22:42:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 28 18:42:18 2020
Received: from localhost ([127.0.0.1]:47180 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jpg0A-0004nf-0B
	for submit <at> debbugs.gnu.org; Sun, 28 Jun 2020 18:42:18 -0400
Received: from mail-ej1-f50.google.com ([209.85.218.50]:33557)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <yigitemres@HIDDEN>) id 1jpcDO-0002Mj-Be
 for 42099 <at> debbugs.gnu.org; Sun, 28 Jun 2020 14:39:44 -0400
Received: by mail-ej1-f50.google.com with SMTP id n26so473352ejx.0
 for <42099 <at> debbugs.gnu.org>; Sun, 28 Jun 2020 11:39:42 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-transfer-encoding:content-language;
 bh=R2olykJ0alCl362I2NpVFhDGGFzbeWKerFWp+DY4brI=;
 b=IM1O5hyb3DmvB48PLKnAU7LN4Z3fmxosQJrYbN2wu4k+KDjcILMP3hU26cpR/siOBJ
 RG+NMbkPYpPACjvgo2erL+UcXkVhcCxGW3xjIlmkz//+3CjDQjL5s+zowVRscMVh1p4J
 dYt/OO302nPWMM4OdYc1hj7DAe4wnEE3IMXrKu+b0rfUHFTLUsKYTizN99eqTWtZJngY
 fmUmV1jm0Qp4KfNCrsPNcxAlAszkgsBFMnWWMmUmOgYEgKSd664hW71EM7zC9yw8Uqhr
 Xu0MiuCGhMvk9dOQoqJ9A9oh0H5WXmi8GCoeZqtcaSeJoUhpwd7aQ+Hk8TQ9BQI3uoKo
 L7WA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:subject:to:cc:references:from:message-id:date
 :user-agent:mime-version:in-reply-to:content-transfer-encoding
 :content-language;
 bh=R2olykJ0alCl362I2NpVFhDGGFzbeWKerFWp+DY4brI=;
 b=k2AL6kGBjSMib/3LL/nZjHJ33TK/Pk0uPic2WjHp9CEi1rexiTsny+GTRIRHeuRGvE
 9hisukWspzabJgxD1pKsSIG26w7uMpfy2X/pBo8QedkLJoux6O6wmFO6LM6yVY5MF3Zk
 w1WUXTyX9ZXiDkjmSlE6ChCwN1zbdop5Yqg1EYQUE9WPwlUvax5SbPIfJYRR/N1UOdDB
 j4RX5d2MyPeNSFJZPIVC6l5/2rjCXAvZsgqhbrFNTkikm+fQYbq6kVex6pHoHKHLVWIy
 Kzx5H+8jgsAOgqlbj2cpChX5si9G0vSN6qmhOwFPGTlOHOEhvF6xMvLr5gE6pNg0xN7a
 r6nA==
X-Gm-Message-State: AOAM532gb/BTqp50pYZ3spsNhI2dBXmZ074N+n+8Lw4XsfFXMm97JRaa
 /VupbTsq/Lpj/8+XRJExj6/W7SKVLpY=
X-Google-Smtp-Source: ABdhPJwiX4OVM5mM3KypjdAMDanDW9R9qOycNFbW8XcUprwPs8+wlpqf7TVFtu0Ds66zgD7h2RAXbg==
X-Received: by 2002:a17:907:9c6:: with SMTP id
 bx6mr10999342ejc.43.1593369576247; 
 Sun, 28 Jun 2020 11:39:36 -0700 (PDT)
Received: from [192.168.1.19] ([81.215.239.91])
 by smtp.gmail.com with ESMTPSA id u13sm3906164ejc.72.2020.06.28.11.39.35
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Sun, 28 Jun 2020 11:39:35 -0700 (PDT)
Subject: Re: bug#42099: Emacs -nw Turkish Layout Problem
To: Eli Zaretskii <eliz@HIDDEN>
References: <CAKDmE5Gddt6va=jPgW313yTHrSS7NcKd51NdT-Vre3Lu4FRY9A@HIDDEN>
 <83h7uv2ryp.fsf@HIDDEN>
 <CAKDmE5FJM49FgEtPhRhpNHxR1S=8gDjUeSawzucpdUdQDkVHxQ@HIDDEN>
 <835zbb2kgz.fsf@HIDDEN>
 <CAKDmE5Hx4cH=1HZx+wJ=vD0QY_VD0+fTxwGiT2w08JOQgHDAbg@HIDDEN>
 <83y2o711zf.fsf@HIDDEN>
From: Yigit Emre Sahinoglu <yigitemres@HIDDEN>
Message-ID: <54ddc85e-fca4-e585-e893-29d31c074a90@HIDDEN>
Date: Sun, 28 Jun 2020 21:39:34 +0300
User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:78.0) Gecko/20100101
 Thunderbird/78.0
MIME-Version: 1.0
In-Reply-To: <83y2o711zf.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 8bit
Content-Language: en-US
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 42099
X-Mailman-Approved-At: Sun, 28 Jun 2020 18:42:17 -0400
Cc: 42099 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

I'm download Thunderbird for just for Cc problem. ^_^

> Are you saying that you see the same problem as the OP?  Because the
> problem you described earlier was different.
Yes, I have the same problem. I described the problem which I faced but 
he is finder of the bug.(I love referencing the sources...). Sorry for 
the misunderstanding.

I done all my testing which I sent to you with previous messages do 
under "emacs -Q -nw" conditions but I'm gonna answer again one by one.

> If you start "emacs -Q -nw" in a cmd.exe window, then type ş, what
> happens?
"ş" turns into "_".


> And what does "C-h l" report after that?
_               ;; self-insert-command
C-h k        ;; view-lossage


> Also, what happens if you type "C-x 8 RET 15f RET", do you see the ş
> character on display, or do you see something else?
\u015F


> There are now keyboard layout files on Windows.  Does it help to
> evaluate this:
>
>    M-: (w32-set-console-codepage 857) RET
>
> If that doesn't help, try this instead:
>
>    M-: (w32-set-console-codepage 1254) RET
Still same. No change.


On 2020-06-28 21:25, Eli Zaretskii wrote:
>> From: Yigit Emre Sahinoglu <yigitemres@HIDDEN>
>> Date: Sun, 28 Jun 2020 20:54:45 +0300
>>
>> For some reason I cannot edit cc from gmail (Either gui changed or i
>> cannot see it. Sorry for the trouble.).
> Use "Reply All".
>
>> I love helping people on reddit If I can. When I try to solve his
>> problem, I face the same problem. I try with every terminal available
>> on Windows (with native or with emulator) but the problem still
>> exists. He uses Win 7, I use Win 10. He uses emacs 25.2.1 and  25.3.1,
>> I use 27.0.91. He uses cmder (emulator) and with cmd.exe, I use
>> Powershell 7,6 , cmd.exe with and without Windows Terminal (emulator).
> Are you saying that you see the same problem as the OP?  Because the
> problem you described earlier was different.
>
> If you start "emacs -Q -nw" in a cmd.exe window, then type ş, what
> happens?  And what does "C-h l" report after that?
>
> Also, what happens if you type "C-x 8 RET 15f RET", do you see the ş
> character on display, or do you see something else?
>
>> I don't know how emacs works. But if emacs reads some kind of keyboard
>> layout table like QMK Firmware, this table is somehow messed up while
>> using "-nw" (or `X resources` on Windows somehow send true signals to
>> emacs and keyboard layout is fine with GUI). If you can tell me where
>> the keyboard layout files (if emacs reads from files) I can look at
>> it.
> There are now keyboard layout files on Windows.  Does it help to
> evaluate this:
>
>    M-: (w32-set-console-codepage 857) RET
>
> If that doesn't help, try this instead:
>
>    M-: (w32-set-console-codepage 1254) RET




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42099; Package emacs. Full text available.

Message received at 42099 <at> debbugs.gnu.org:


Received: (at 42099) by debbugs.gnu.org; 28 Jun 2020 19:10:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 28 15:10:03 2020
Received: from localhost ([127.0.0.1]:46930 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jpcgl-0003B1-8f
	for submit <at> debbugs.gnu.org; Sun, 28 Jun 2020 15:10:03 -0400
Received: from eggs.gnu.org ([209.51.188.92]:46036)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jpcgh-0003AP-Nu
 for 42099 <at> debbugs.gnu.org; Sun, 28 Jun 2020 15:10:02 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:46341)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1jpcgc-0003SW-H2; Sun, 28 Jun 2020 15:09:54 -0400
Received: from [176.228.60.248] (port=3841 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jpcgb-0008Kw-U0; Sun, 28 Jun 2020 15:09:54 -0400
Date: Sun, 28 Jun 2020 22:09:42 +0300
Message-Id: <83wo3r0zyh.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Yigit Emre Sahinoglu <yigitemres@HIDDEN>
In-Reply-To: <54ddc85e-fca4-e585-e893-29d31c074a90@HIDDEN> (message from
 Yigit Emre Sahinoglu on Sun, 28 Jun 2020 21:39:34 +0300)
Subject: Re: bug#42099: Emacs -nw Turkish Layout Problem
References: <CAKDmE5Gddt6va=jPgW313yTHrSS7NcKd51NdT-Vre3Lu4FRY9A@HIDDEN>
 <83h7uv2ryp.fsf@HIDDEN>
 <CAKDmE5FJM49FgEtPhRhpNHxR1S=8gDjUeSawzucpdUdQDkVHxQ@HIDDEN>
 <835zbb2kgz.fsf@HIDDEN>
 <CAKDmE5Hx4cH=1HZx+wJ=vD0QY_VD0+fTxwGiT2w08JOQgHDAbg@HIDDEN>
 <83y2o711zf.fsf@HIDDEN> <54ddc85e-fca4-e585-e893-29d31c074a90@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 42099
Cc: 42099 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: 42099 <at> debbugs.gnu.org
> From: Yigit Emre Sahinoglu <yigitemres@HIDDEN>
> Date: Sun, 28 Jun 2020 21:39:34 +0300
> 
> > If you start "emacs -Q -nw" in a cmd.exe window, then type ş, what
> > happens?
> "ş" turns into "_".
> 
> 
> > And what does "C-h l" report after that?
> _               ;; self-insert-command
> C-h k        ;; view-lossage
> 
> 
> > Also, what happens if you type "C-x 8 RET 15f RET", do you see the ş
> > character on display, or do you see something else?
> \u015F

So there are two problems: both keyboard input and display of Turkish
characters are broken.  Is this still on a system where
w32-get-console-codepage returns 437?

Does anything change regarding typing Turkish characters if you set
w32-use-fallback-wm-chars-method to a non-nil value?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42099; Package emacs. Full text available.

Message received at 42099 <at> debbugs.gnu.org:


Received: (at 42099) by debbugs.gnu.org; 28 Jun 2020 18:26:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 28 14:26:17 2020
Received: from localhost ([127.0.0.1]:46907 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jpc0O-000203-UA
	for submit <at> debbugs.gnu.org; Sun, 28 Jun 2020 14:26:17 -0400
Received: from eggs.gnu.org ([209.51.188.92]:38320)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jpc0N-0001zr-Hd
 for 42099 <at> debbugs.gnu.org; Sun, 28 Jun 2020 14:26:15 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:45876)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1jpc0I-0006AP-9V; Sun, 28 Jun 2020 14:26:10 -0400
Received: from [176.228.60.248] (port=1162 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jpc0H-0007qa-7k; Sun, 28 Jun 2020 14:26:10 -0400
Date: Sun, 28 Jun 2020 21:25:56 +0300
Message-Id: <83y2o711zf.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Yigit Emre Sahinoglu <yigitemres@HIDDEN>
In-Reply-To: <CAKDmE5Hx4cH=1HZx+wJ=vD0QY_VD0+fTxwGiT2w08JOQgHDAbg@HIDDEN>
 (message from Yigit Emre Sahinoglu on Sun, 28 Jun 2020 20:54:45 +0300)
Subject: Re: bug#42099: Emacs -nw Turkish Layout Problem
References: <CAKDmE5Gddt6va=jPgW313yTHrSS7NcKd51NdT-Vre3Lu4FRY9A@HIDDEN>
 <83h7uv2ryp.fsf@HIDDEN>
 <CAKDmE5FJM49FgEtPhRhpNHxR1S=8gDjUeSawzucpdUdQDkVHxQ@HIDDEN>
 <835zbb2kgz.fsf@HIDDEN>
 <CAKDmE5Hx4cH=1HZx+wJ=vD0QY_VD0+fTxwGiT2w08JOQgHDAbg@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 42099
Cc: 42099 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Yigit Emre Sahinoglu <yigitemres@HIDDEN>
> Date: Sun, 28 Jun 2020 20:54:45 +0300
> 
> For some reason I cannot edit cc from gmail (Either gui changed or i
> cannot see it. Sorry for the trouble.).

Use "Reply All".

> I love helping people on reddit If I can. When I try to solve his
> problem, I face the same problem. I try with every terminal available
> on Windows (with native or with emulator) but the problem still
> exists. He uses Win 7, I use Win 10. He uses emacs 25.2.1 and  25.3.1,
> I use 27.0.91. He uses cmder (emulator) and with cmd.exe, I use
> Powershell 7,6 , cmd.exe with and without Windows Terminal (emulator).

Are you saying that you see the same problem as the OP?  Because the
problem you described earlier was different.

If you start "emacs -Q -nw" in a cmd.exe window, then type ş, what
happens?  And what does "C-h l" report after that?

Also, what happens if you type "C-x 8 RET 15f RET", do you see the ş
character on display, or do you see something else?

> I don't know how emacs works. But if emacs reads some kind of keyboard
> layout table like QMK Firmware, this table is somehow messed up while
> using "-nw" (or `X resources` on Windows somehow send true signals to
> emacs and keyboard layout is fine with GUI). If you can tell me where
> the keyboard layout files (if emacs reads from files) I can look at
> it.

There are now keyboard layout files on Windows.  Does it help to
evaluate this:

  M-: (w32-set-console-codepage 857) RET

If that doesn't help, try this instead:

  M-: (w32-set-console-codepage 1254) RET




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42099; Package emacs. Full text available.

Message received at 42099 <at> debbugs.gnu.org:


Received: (at 42099) by debbugs.gnu.org; 28 Jun 2020 17:01:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 28 13:01:35 2020
Received: from localhost ([127.0.0.1]:46850 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jpagR-0008FU-8X
	for submit <at> debbugs.gnu.org; Sun, 28 Jun 2020 13:01:35 -0400
Received: from eggs.gnu.org ([209.51.188.92]:52674)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jpagQ-0008FI-85
 for 42099 <at> debbugs.gnu.org; Sun, 28 Jun 2020 13:01:34 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:45060)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1jpagK-00047E-QL; Sun, 28 Jun 2020 13:01:28 -0400
Received: from [176.228.60.248] (port=3881 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jpagI-0003WX-W5; Sun, 28 Jun 2020 13:01:28 -0400
Date: Sun, 28 Jun 2020 20:01:16 +0300
Message-Id: <835zbb2kgz.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Yigit Emre Sahinoglu <yigitemres@HIDDEN>
In-Reply-To: <CAKDmE5FJM49FgEtPhRhpNHxR1S=8gDjUeSawzucpdUdQDkVHxQ@HIDDEN>
 (message from Yigit Emre Sahinoglu on Sun, 28 Jun 2020 18:21:17 +0300)
Subject: Re: bug#42099: Emacs -nw Turkish Layout Problem
References: <CAKDmE5Gddt6va=jPgW313yTHrSS7NcKd51NdT-Vre3Lu4FRY9A@HIDDEN>
 <83h7uv2ryp.fsf@HIDDEN>
 <CAKDmE5FJM49FgEtPhRhpNHxR1S=8gDjUeSawzucpdUdQDkVHxQ@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 42099
Cc: 42099 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

[Please keep the bug address on the CC line.]

> From: Yigit Emre Sahinoglu <yigitemres@HIDDEN>
> Date: Sun, 28 Jun 2020 18:21:17 +0300
> 
> w32-get-console-codepage,  w32-get-console-output-codepage  = 437 (#o665, #x1b5) (for GUI and "-Q
> -nw")

This is part of the problem, I think: codepage 437 doesn't support
Turkish characters.

> Command prompt fonts and encodings are fine for the system part. As I'm aware, encodings are fine
> (because GUI don't have this problem and the problem still exists with -Q) for the Emacs, too.

The GUI display is completely different from the -nw display in this
aspect, so the fact that GUI frames display correctly doesn't mean
anything regarding the text-mode display issues.

> I insert all Turkish char to the text file. After opening that file with "emacs -Q -nw" get this:
> 
> Original:                    ö Ö ç Ç      ş          Ş     i       İ         ğ         Ğ       ü Ü
> Emacs Response:     ö Ö ç Ç  \u015F \u015E  i  \u0130 \u011F \u011E   ü Ü 

This is clearly a display problem: Emacs uses the \u Unicode escapes
because it knows that codepage 437 cannot display those characters.

This is not the problem reported by the OP in Reddit.  There, the
problem seems to be one of _typing_ Turkish characters: he types a
character, but instead of inserting it Emacs invokes the 'undo'
command.  I think that problem is due to some strange interaction
between the non-default console emulator he uses and the Turkish
letters.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42099; Package emacs. Full text available.

Message received at 42099 <at> debbugs.gnu.org:


Received: (at 42099) by debbugs.gnu.org; 28 Jun 2020 14:19:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 28 10:19:48 2020
Received: from localhost ([127.0.0.1]:46761 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jpY9s-0002Bv-2e
	for submit <at> debbugs.gnu.org; Sun, 28 Jun 2020 10:19:48 -0400
Received: from eggs.gnu.org ([209.51.188.92]:50982)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jpY9p-0002Bh-9g
 for 42099 <at> debbugs.gnu.org; Sun, 28 Jun 2020 10:19:47 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:43191)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1jpY9k-00046X-1g; Sun, 28 Jun 2020 10:19:40 -0400
Received: from [176.228.60.248] (port=1317 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jpY9j-0003zl-Et; Sun, 28 Jun 2020 10:19:39 -0400
Date: Sun, 28 Jun 2020 17:19:26 +0300
Message-Id: <83h7uv2ryp.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Yigit Emre Sahinoglu <yigitemres@HIDDEN>
In-Reply-To: <CAKDmE5Gddt6va=jPgW313yTHrSS7NcKd51NdT-Vre3Lu4FRY9A@HIDDEN>
 (message from Yigit Emre Sahinoglu on Sun, 28 Jun 2020 04:23:59 +0300)
Subject: Re: bug#42099: Emacs -nw Turkish Layout Problem
References: <CAKDmE5Gddt6va=jPgW313yTHrSS7NcKd51NdT-Vre3Lu4FRY9A@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 42099
Cc: 42099 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Yigit Emre Sahinoglu <yigitemres@HIDDEN>
> Date: Sun, 28 Jun 2020 04:23:59 +0300
> 
> When using emacs from terminal with -nw option (with or without -Q),
> some characters are not working properly. It's somehow keyboard layout
> half messed up. Characters like ö,ç,ü are working but ş (U+015F), Ş (U+15E),
> ğ (U+011E) and Ğ (U+011F) are not working. ş is return _ and Ş is return ^. i is working but instead of İ, 0 is
> returned. Changing the coding system cp1254
> (Windows Turkish) doesn't have any effect. It's discovered by 
> https://www.reddit.com/r/emacs/comments/hgvcth/cant_type_the_characters_%C5%9F_or_%C4%9F_in_emacs_nw_on/

What is the console input and output codepages on that system?  If you
are not sure, use the functions w32-get-console-codepage and
w32-get-console-output-codepage to find out.

Also, what is the font that the Command Prompt window is using on that
system, and does it support those characters? what happens if you
configure the Command Prompt window to use the Lucida Console font,
for example?

And finally, please go to the place where you insert one of the
problematic characters and type "C-x =" -- does Emacs show in the echo
area the correct codepoint?

From the Reddit discussion, I understand that you are using some
non-default console program to display text-mode frames.  If so,
please make sure to try all of the above from the default Command
Prompt window that runs the default Windows shell cmd.exe.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42099; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 Jun 2020 01:31:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 27 21:31:20 2020
Received: from localhost ([127.0.0.1]:44835 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jpMAB-0005zg-5e
	for submit <at> debbugs.gnu.org; Sat, 27 Jun 2020 21:31:20 -0400
Received: from lists.gnu.org ([209.51.188.17]:43410)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <yigitemres@HIDDEN>) id 1jpM3K-0005nY-TQ
 for submit <at> debbugs.gnu.org; Sat, 27 Jun 2020 21:24:17 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:55734)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <yigitemres@HIDDEN>)
 id 1jpM3K-0002hP-LY
 for bug-gnu-emacs@HIDDEN; Sat, 27 Jun 2020 21:24:14 -0400
Received: from mail-wr1-x42b.google.com ([2a00:1450:4864:20::42b]:36548)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <yigitemres@HIDDEN>)
 id 1jpM3I-00082M-G4
 for bug-gnu-emacs@HIDDEN; Sat, 27 Jun 2020 21:24:14 -0400
Received: by mail-wr1-x42b.google.com with SMTP id k6so13033516wrn.3
 for <bug-gnu-emacs@HIDDEN>; Sat, 27 Jun 2020 18:24:11 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=CPGHFGpkuuLzZHZrlt3Uge07TQpUjuvNr3QAMoZHkNw=;
 b=UgkAW+u+UVDvViqevE5R1Mddmty8lFtCe1NCZ6s1SQ6mAM5pl8n/wpqx8hwWGjpeiy
 CDGU5BtVq/M9pt+QTRfShvHXvBa8oMoCi4XDfNHkRsEkAIhWHmTLMvRdtuCn8dn44YWB
 3ncd2yIlpXco2fZsUMixKNPX8w9yjKXcihNx0q9svEiATjjoNFIlP+BLq+Wo+PtBuKLg
 r4bLecKqt9+oBdhbJIxpB1BxGbkp9Zh8opnRWhvvt5vb9XhgPioB0NYETAVcCw8TDuBq
 8uAPG4/lIpSRQxVvUkhCcRjiQL0SM2HX7A/TfSNni0h2WLWNrc5XvIS10RTp38KKwQ3/
 3ouA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=CPGHFGpkuuLzZHZrlt3Uge07TQpUjuvNr3QAMoZHkNw=;
 b=DR/dvbe4hl/Vo0uMimr3Vt0yo9vgGhIEEdSTWE0T8Ya+2WKEUEcOSpGK+CD/Opj0l7
 ETi5+bWZZ1brgU3OzlSMg/0UT9D96rw2T3MrWID2yjsZsW+fbCYoF/hpRDKg+1yjZvvF
 Y+/ZOp2osA1K1/0OggYNaiV49ZhnATXJFXgQREZ8f0L/h6S3hVGEy8S72fnz4/R29xLO
 t1nES+iPrt8Ajv1NRxSaJmOwT/zXUnwLNfb20Eln5/RtXozaQJ4lwGvh/KENmQNcFQ1z
 r5lY3L3ARZDZsqKke42Ub/rElPdfoR32DEwtXoWRA8YzcM/Fy/66ahMQMkHhcetQQOW4
 rl8A==
X-Gm-Message-State: AOAM5316gyQdRGd1N+OeYILxJ05FiO6fDbrOkX+eMUSzlLGOkLe2OwUN
 VgiuUACpyVBlpb9iYB1mhZX125zI7uaRJypAe4t60BwD
X-Google-Smtp-Source: ABdhPJzsowUcF7ZUn+SSKVZjGs/C8lrrSgPMu1IG5dqi4b6u49oSSZSkgjMcXHz8uZlN3lJttd1kAcExYoxwdcDz/o4=
X-Received: by 2002:a5d:69c5:: with SMTP id s5mr10689883wrw.197.1593307449516; 
 Sat, 27 Jun 2020 18:24:09 -0700 (PDT)
MIME-Version: 1.0
From: Yigit Emre Sahinoglu <yigitemres@HIDDEN>
Date: Sun, 28 Jun 2020 04:23:59 +0300
Message-ID: <CAKDmE5Gddt6va=jPgW313yTHrSS7NcKd51NdT-Vre3Lu4FRY9A@HIDDEN>
Subject: Emacs -nw Turkish Layout Problem
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary="0000000000008be51805a91acc5c"
Received-SPF: pass client-ip=2a00:1450:4864:20::42b;
 envelope-from=yigitemres@HIDDEN; helo=mail-wr1-x42b.google.com
X-detected-operating-system: by eggs.gnu.org: No matching host in p0f cache.
 That's all we know.
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 HTML_MESSAGE=0.001, RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001, URIBL_BLOCKED=0.001 autolearn=_AUTOLEARN
X-Spam_action: no action
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sat, 27 Jun 2020 21:31:18 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--0000000000008be51805a91acc5c
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

When using emacs from terminal with -nw option (with or without -Q),
some characters are not working properly. It's somehow keyboard layout
half messed up. Characters like =C3=B6,=C3=A7,=C3=BC are working but =C5=9F=
 (U+015F), =C5=9E (U+15E),
=C4=9F (U+011E) and =C4=9E (U+011F) are not working. =C5=9F is return _ and=
 =C5=9E is return ^.
i is working but instead of =C4=B0, 0 is returned. Changing the coding syst=
em
cp1254
(Windows Turkish) doesn't have any effect. It's discovered by
https://www.reddit.com/r/emacs/comments/hgvcth/cant_type_the_characters_%C5=
%9F_or_%C4%9F_in_emacs_nw_on/


In GNU Emacs 27.0.91 (build 1, x86_64-w64-mingw32)
 of 2020-04-20 built on CIRROCUMULUS
Repository revision: c36c5a3dedbb2e0349be1b6c3b7567ea7b594f1c
Repository branch: HEAD
Windowing system distributor 'Microsoft Corp.', version 10.0.19042
System Description: Microsoft Windows 10 Pro (v10.0.2009.19042.330)

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

Configured using:
 'configure --without-dbus --host=3Dx86_64-w64-mingw32
 --without-compress-install 'CFLAGS=3D-O2 -static''

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND NOTIFY W32NOTIFY ACL GNUTLS LIBXML2
HARFBUZZ ZLIB TOOLKIT_SCROLL_BARS MODULES THREADS PDUMPER LCMS2 GMP

Important settings:
  value of $LANG: ENU
  locale-coding-system: cp1252

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
format-spec rfc822 mml easymenu mml-sec password-cache epa derived epg
epg-config gnus-util rmail rmail-loaddefs text-property-search time-date
subr-x seq byte-opt gv bytecomp byte-compile cconv mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader cl-loaddefs
cl-lib sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils
term/w32console tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel dos-w32 ls-lisp disp-table term/w32-win w32-win
w32-vars term/common-win tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite charscript charprop case-table epa-hook
jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads w32notify w32 lcms2 multi-tty make-network-process
emacs)

Memory information:
((conses 16 43500 9407)
 (symbols 48 6001 1)
 (strings 32 15207 1533)
 (string-bytes 1 504344)
 (vectors 16 6689)
 (vector-slots 8 78176 6458)
 (floats 8 18 309)
 (intervals 56 191 0)
 (buffers 1000 11))


Yi=C4=9Fit Emre =C5=9Eahino=C4=9Flu

--0000000000008be51805a91acc5c
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div class=3D"gmail_default" style=3D"font-family:arial,he=
lvetica,sans-serif"><br>When using emacs from terminal with -nw option (wit=
h or without -Q),<br>some characters are not working properly. It&#39;s som=
ehow keyboard layout<br>half messed up. Characters like =C3=B6,=C3=A7,=C3=
=BC are working but =C5=9F (U+015F), =C5=9E (U+15E),<br>=C4=9F (U+011E) and=
 =C4=9E (U+011F) are not working. =C5=9F is return _ and =C5=9E is return ^=
. i is working but instead of =C4=B0, 0 is returned. Changing the coding sy=
stem cp1254<br>(Windows Turkish) doesn&#39;t have any effect. It&#39;s disc=
overed by <br><a href=3D"https://www.reddit.com/r/emacs/comments/hgvcth/can=
t_type_the_characters_%C5%9F_or_%C4%9F_in_emacs_nw_on/">https://www.reddit.=
com/r/emacs/comments/hgvcth/cant_type_the_characters_%C5%9F_or_%C4%9F_in_em=
acs_nw_on/</a><br><br><br>In GNU Emacs 27.0.91 (build 1, x86_64-w64-mingw32=
)<br>=C2=A0of 2020-04-20 built on CIRROCUMULUS<br>Repository revision: c36c=
5a3dedbb2e0349be1b6c3b7567ea7b594f1c<br>Repository branch: HEAD<br>Windowin=
g system distributor &#39;Microsoft Corp.&#39;, version 10.0.19042<br>Syste=
m Description: Microsoft Windows 10 Pro (v10.0.2009.19042.330)<br><br>Recen=
t messages:<br>For information about GNU Emacs and the GNU system, type C-h=
 C-a.<br><br>Configured using:<br>=C2=A0&#39;configure --without-dbus --hos=
t=3Dx86_64-w64-mingw32<br>=C2=A0--without-compress-install &#39;CFLAGS=3D-O=
2 -static&#39;&#39;<br><br>Configured features:<br>XPM JPEG TIFF GIF PNG RS=
VG SOUND NOTIFY W32NOTIFY ACL GNUTLS LIBXML2<br>HARFBUZZ ZLIB TOOLKIT_SCROL=
L_BARS MODULES THREADS PDUMPER LCMS2 GMP<br><br>Important settings:<br>=C2=
=A0 value of $LANG: ENU<br>=C2=A0 locale-coding-system: cp1252<br><br>Major=
 mode: Lisp Interaction<br><br>Minor modes in effect:<br>=C2=A0 tooltip-mod=
e: t<br>=C2=A0 global-eldoc-mode: t<br>=C2=A0 eldoc-mode: t<br>=C2=A0 elect=
ric-indent-mode: t<br>=C2=A0 mouse-wheel-mode: t<br>=C2=A0 tool-bar-mode: t=
<br>=C2=A0 menu-bar-mode: t<br>=C2=A0 file-name-shadow-mode: t<br>=C2=A0 gl=
obal-font-lock-mode: t<br>=C2=A0 font-lock-mode: t<br>=C2=A0 auto-compositi=
on-mode: t<br>=C2=A0 auto-encryption-mode: t<br>=C2=A0 auto-compression-mod=
e: t<br>=C2=A0 line-number-mode: t<br>=C2=A0 transient-mark-mode: t<br><br>=
Load-path shadows:<br>None found.<br><br>Features:<br>(shadow sort mail-ext=
r emacsbug message rmc puny dired dired-loaddefs<br>format-spec rfc822 mml =
easymenu mml-sec password-cache epa derived epg<br>epg-config gnus-util rma=
il rmail-loaddefs text-property-search time-date<br>subr-x seq byte-opt gv =
bytecomp byte-compile cconv mm-decode mm-bodies<br>mm-encode mail-parse rfc=
2231 mailabbrev gmm-utils mailheader cl-loaddefs<br>cl-lib sendmail rfc2047=
 rfc2045 ietf-drums mm-util mail-prsvr mail-utils<br>term/w32console toolti=
p eldoc electric uniquify ediff-hook vc-hooks<br>lisp-float-type mwheel dos=
-w32 ls-lisp disp-table term/w32-win w32-win<br>w32-vars term/common-win to=
ol-bar dnd fontset image regexp-opt fringe<br>tabulated-list replace newcom=
ment text-mode elisp-mode lisp-mode<br>prog-mode register page tab-bar menu=
-bar rfn-eshadow isearch timer<br>select scroll-bar mouse jit-lock font-loc=
k syntax facemenu font-core<br>term/tty-colors frame minibuffer cl-generic =
cham georgian utf-8-lang<br>misc-lang vietnamese tibetan thai tai-viet lao =
korean japanese eucjp-ms<br>cp51932 hebrew greek romanian slovak czech euro=
pean ethiopic indian<br>cyrillic chinese composite charscript charprop case=
-table epa-hook<br>jka-cmpr-hook help simple abbrev obarray cl-preloaded na=
dvice loaddefs<br>button faces cus-face macroexp files text-properties over=
lay sha1 md5<br>base64 format env code-pages mule custom widget hashtable-p=
rint-readable<br>backquote threads w32notify w32 lcms2 multi-tty make-netwo=
rk-process<br>emacs)<br><br>Memory information:<br>((conses 16 43500 9407)<=
br>=C2=A0(symbols 48 6001 1)<br>=C2=A0(strings 32 15207 1533)<br>=C2=A0(str=
ing-bytes 1 504344)<br>=C2=A0(vectors 16 6689)<br>=C2=A0(vector-slots 8 781=
76 6458)<br>=C2=A0(floats 8 18 309)<br>=C2=A0(intervals 56 191 0)<br>=C2=A0=
(buffers 1000 11))<br></div><div class=3D"gmail_default" style=3D"font-fami=
ly:arial,helvetica,sans-serif"><br></div><div class=3D"gmail_default" style=
=3D"font-family:arial,helvetica,sans-serif"><br clear=3D"all"></div><div><d=
iv dir=3D"ltr" class=3D"gmail_signature" data-smartmail=3D"gmail_signature"=
><div dir=3D"ltr"><font face=3D"trebuchet ms, sans-serif">Yi=C4=9Fit Emre =
=C5=9Eahino=C4=9Flu</font></div></div></div></div>

--0000000000008be51805a91acc5c--




Acknowledgement sent to Yigit Emre Sahinoglu <yigitemres@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#42099; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 30 Apr 2022 16:30:03 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.